0.233 2021-07-01
----------------


MAME Testers Bugs Fixed
-----------------------
- 00125: [Graphics] (hornet.cpp) gradius4: Screen visible area is incorrect in 15 kHz mode. (Ville Linde)
- 03067: [Graphics] (gameplan.cpp) leprechn, leprechp, potogold: Cutscene animation causes graphics corruption. (O. Galibert)
- 05385: [Gameplay] (seta.cpp) downtown: After entering a high score, the high scores are reset to zero. (Angelo Salese)
- 06604: [Graphics] (hornet.cpp) gradius4: Flip Screen (V) DIP switch doesn’t completely flip the text layer. (Ville Linde)
- 06605: [Gameplay] (hornet.cpp) gradius4: Test mode ROM check causes emulator to crash when using Direct3D video. (Ville Linde)
- 07000: [Gameplay] (taitosj.cpp) tinstar: Collision detection is broken. (O. Galibert)
- 07256: [Graphics] (hornet.cpp) nbapbp: 2D graphics are positioned/sized incorrectly. (Ville Linde)
- 07305: [Sound] (dragon.cpp) dragon32, dragon64, dragon64h, dragon200, dragon200e: DAC sound is not working. (AJR)
- 07475: [DIP/Input] (coco3.cpp) coco3: Joystick buttons are not working correctly for some ML games. (Tim Lindner)
- 07893: [Crash/Freeze] (atetris.cpp) atetrisb2, atetrisb3: Game does not progress past black screen. (AJR)
- 07912: [Graphics] (vis.cpp) vis: Screen image is cropped, and animation glitches occur. (Carl)
- 07914: [Sound] (vis.cpp) vis: Some sound effects play as noise. (Carl)
- 07968: [Core] (hornet.cpp) All machines in hornet.cpp: Sound test fails if POST is enabled. (Ville Linde)
- 07986: [Media Support] (pce.cpp) dragnegg: [pce] dragnegg: Dragon Egg! is marked as not supported, but works. (thankyoumame)
- 07989: [Interface] (ksys573.cpp) pcnfrku: Description for US version does not match title screen. (AriaOTP)
- 07992: [Graphics] (junofrst.cpp) junofrst: Screen colour does not change on key game events. (O. Galibert)
- 07993: [Documentation] (seta.cpp) drgnunit: Manufacturer should show developer Athena. (Angelo Salese)
- 07996: [Sound] (neogeo.cpp) nitd and bootleg, arcade and AES modes: ADPCM-A samples do not play to end. (Aaron Giles)
- 07997: [Sound] (namcos2.cpp) assault, assaultj: Tank engine sound stops almost immediately after game starts. (hap)
- 07998: [DIP/Input] (vegas.cpp) sf2049se: Non-existent button is mapped in IN1 port. (hap)
- 08003: [DIP/Input] (segas16a.cpp) quartet and clones: Fire and jump button order doesn’t match control panel. (Steven Coomber)
- 08006: [Sound] (neogeo.cpp) mslug: Background music has parts missing. (Aaron Giles)
- 08007: [DIP/Input] (mitchell.cpp) spangbl: Bootleg uses DIP switch settings rather than a service menu. (Ivan Vangelista)
- 08008: [Gameplay] (starwars.cpp) esb: SLAPSTIC causes emulated machine to reset. (O. Galibert)
- 08012: [Graphics] (channelf.cpp) channelf (and clones?): Fairchild Channel F runs at incorrect vertical resolution. (Nigel Barnes)
- 08015: [DIP/Input] (chanbara.cpp) chanbara: The left and right joystick inputs are reversed. (Steven Coomber)
- 08016: [DIP/Input] (playmark.cpp) bigtwinb: Joystick X and Y axes are swapped. (Tafoid)


New working machines
--------------------
Invinco / Car Hunt (Germany) [MikeMcBike, Brian Troha]
JAKKS Pacific Inc / Amaze Entertainment Dreamworks Movie Night (JAKKS Pacific TV Game, Oct 18 2006, prototype) [anonymous]
JAKKS Pacific Inc / Amaze Entertainment Star Wars - Original Trilogy (JAKKS Pacific TV Game, prototype) [anonymous]
JAKKS Pacific Inc / Amaze Entertainment X-Men - Mutant Reign (JAKKS Pacific TV Game, prototype) [anonymous]
Sinclair Radionics Cambridge Programmable [hap, Sean Riddle]
Tech2Go / One Man Band Codename: Kids Next Door - Operation: P.L.U.G.G.U.H.S. [Sean Riddle, Kamaal Brown]
Tronica Space Mission [algestam]


New working clones
------------------
Aliens (World set 4) [Simon Wilmer, John Bennett]
Armadillo Racing (Rev. AM2 Ver.A, World) [Phil Bennett, Ryan Holtz, Bill D., Brian Troha, The Dumping Union]
The Astyanax (mask ROM version) [-Ace-]
Asura Buster - Eternal Warriors (Japan, set 2) [cpsystem3, Brian Troha, The Dumping Union]
Asura Buster - Eternal Warriors (USA) [Darksoft, Brian Troha, The Dumping Union]
Ball Boy (3 players) [juking, xuserv]
Battle Arena Toshinden 2 (Euro 951124) [Brian Troha, The Dumping Union]
Battle Arena Toshinden 2 (USA 951124) [Brian Troha, The Dumping Union]
Crazy Kong (SegaSA / Sonic bootleg) [Juan Romero, ClawGrip]
Exerion (Assa, bootleg) [Juan Romero, ClawGrip]
Fidelity Electronics Elegance Chess Challenger (model AS12) [Berger]
Gals Panic S - Extra Edition (Korea) [coolmod]
JAKKS Pacific Inc / Amaze Entertainment Dreamworks Movie Night (JAKKS Pacific TV Game, Apr 24 2006, test program) [anonymous]
JAKKS Pacific Inc / Griptonite Games Star Wars - Revenge of the Sith (JAKKS Pacific TV Game, Game-Key Ready, prototype) [anonymous]
Karate Champ (Tecfri bootleg) [jordigahan]
Nitro Ball (World, set 3) [JammaFever, Nebula, Recreativos Piscis]
Ojanko Club (Japan, Program Ver. 1.3, set 2) [system11]
Painter (hack of Crush Roller) [Lorenzo Fongaro]
Silk Worm (bootleg, set 2) [Miss Argent]
Triumph-Adler Alphatronic PC w/BiCom Graphics [rfka01]


Machines promoted to working
----------------------------
Yamaha PSR-60 PortaSound [R. Belmont, Aaron Giles]
Yamaha TX81Z FM Tone Generator [AJR, Aaron Giles]


Clones promoted to working
--------------------------
Final Lap 3 (bootleg) [David Haywood]
Guttang Gottong (bootleg on Galaxian type hardware) [David Haywood]
Yamaha PSR-70 PortaSound [R. Belmont, Aaron Giles]


New machines marked as NOT_WORKING
----------------------------------
Casio SK-5 [DBWBP]
Driving Simulator [Jorge Valero, MetalliC, rtw]
Fortune Wheel [coolmod]
Hohner ADAM Advanced Digital/Analog Musical Instrument [DBWBP]
La Rana [Museo del Recreativo]
LeapFrog Leapster Explorer [David Haywood]
Lexibook Compact Cyber Arcade TV - 120 in 1 (JL2370) [Sean Riddle, taizou]
Lexicon LK-3000 [hap, Sean Riddle]
Philips :YES [Svenska, rfka01, Carl]
Play Sonic 4 [Juan Romero, ClawGrip]
Super Chexx (EM Bubble Hockey) [ClawGrip]
VS Mahjong Triangle [system11, Ivan Vangelista, Vas Crabb]
Yamaha AN1x Control Synthesizer [DBWBP]
Yamaha DX100 Digital Programmable Algorithm Synthesizer [DBWBP]
Yamaha SY35 Music Synthesizer [DBWBP]
Zooty Drum [xuserv]


New clones marked as NOT_WORKING
--------------------------------
Bushido (set 3) [Victor Fernandez (City Game)]
Jurassic Park (USA 3.07, display A4.00) [inkochnito, PinMAME]
Mini Money (set 2, v1.5?) [Juan Romero, ClawGrip]
Mini Money (set 3, v1.4?) [Juan Romero, ClawGrip]
Scorpion (Mar 24, 1992) [jordigahan]


New working software list additions
-----------------------------------
a800_flop: L.A. SWAT + Panther, Turbican, Zybex (Ned) [A8SP]
alphatro_flop: Disk-Basic Beispielprogramme für hochauflösende Graphik [rfka01]
apple2_flop_clcracked:
  Advanced Electricity (cleanly cracked), Complex Circuits (cleanly cracked), PAI Forth (Version 3.0, 12-21-1985) (cleanly cracked),
  Projectile and Circular Motion (cleanly cracked) [4am, Firehawke]
  Bumble Games (Version 1.3) (cleanly cracked), Bumble Plot (Version 1.1) (cleanly cracked),
  Gertrude's Puzzles (1982 Version) (cleanly cracked), Gertrude's Secrets 1982 (cleanly cracked),
  The Prisoner (Version 1.10) (SoftSmith) (cleanly cracked), Reader Rabbit (Version 1.0) (cleanly cracked),
  Rocky's Boots (Unknown 1982 version) (cleanly cracked), Tales of Discovery (cleanly cracked) [4am, san inc., Firehawke]
apple2gs_flop_orig:
  2088: The Cryllan Mission - The Second Scenario, 816/Paint (Version 3.1), Aesop's Fables, Arkanoid, Arkanoid II: Revenge of Doh,
  Art and Film Director, Audubon Wildlife Adventures: Grizzly Bears, Audubon Wildlife Adventures: Whales,
  Balance of Power: The 1990 Edition, The Bard's Tale: Tales of the Unknown, BeagleDraw (Version 1.3),
  Beyond Zork: The Coconut of Quendor (Revision 57 / 871221), The Black Cauldron, Bridge 6.0 (Version 2.49B), Bubble Ghost,
  Captain Blood, Cartooners, Club Backgammon, Defender of the Crown, Déjà Vu, Déjà Vu II: Lost in Las Vegas,
  DeluxePaint II (Version 2.01), Destroyer, Downhill Challenge, Dragon Wars, Draw Plus (Version 1.1), Dream Zone, DreamGrafix,
  Fantavision, Fast Break, The Fidelity Chessmaster 2100, Full Metal Planete, GBA Championship Basketball, Gin King / Cribbage King,
  GraphicWriter III (Version 1.0), The Graphics Studio, Graphics Supermarket (Version 1.1), Great Western Shootout, Hacker II,
  Halls of Montezuma, Hostage: Rescue Mission, Hover Blade, HyperStudio (Version 3.1c), ImageMaster: Basic Paint (Version 1.2),
  The Immortal, Instant Synthesizer, Jack Nicklaus' Greatest 18 Holes of Major Championship Golf, Jam Session (Version 1.0), Jigsaw,
  John Elway's Quarterback, The King of Chicago, King's Quest III, King's Quest IV: The Perils of Rosella, LaserForce,
  Leisure Suit Larry in the Land of the Lounge Lizards, Life and Death, Manhunter: New York, Master Tracks Jr. (Version 1.03),
  Master Tracks Pro (Version 1.04), Math and Me (Version 1.0 08/01/88), Mavis Beacon Teaches Typing (Version 1.8), Mean 18,
  Mini-Putt, Monte Carlo, Music Construction Set (Version 1.0), The Music Studio (Version 2.0), Neuromancer,
  NoiseTracker (Version 1.0), Omega, Out of this World, Paintworks Gold (Version 1.5), Paintworks Plus (Version 1.2),
  Photonix (Version 1.46), Platinum Paint (Version 2.01), Police Quest, The Print Shop (Version 1.0), The Print Shop Companion,
  Pyware Music Writer (Version 2.03), Questron II (Version 1.1), Reach for the Stars, Read and Rhyme,
  Revolution '76 (Version June 27, 1989), Roadwar 2000, Salvation Supreme (Version 2.0), Shanghai, Shanghai II: Dragon's Eye,
  Silpheed, Skate or Die, SmoothTalker, Space Ace, Space Quest, Space Quest II, Star Saga: One - Beyond The Boundary (Version 1.1),
  Star Saga: Two - The Clathran Menace, Stars and Planets, Stickybear Shapes, Street Sports Soccer, Sub Battle Simulator,
  Superstar Ice Hockey, Tarot, Tetris, Thexder (Version 2.7), The Third Courier, The Tower of Myraglen, TrianGo,
  Tunnels of Armageddon (Version 1.0), Vegas Gambler, War in Middle Earth, Warlock, Where in the U.S.A. is Carmen Sandiego?,
  Where in the World is Carmen Sandiego?, Windwalker, Winter Games, The Wonders of the Animal Kingdom, The Word Master,
  WordPerfect (Version 2.1e), World Tour Golf, Writer's Choice Elite [4am, Firehawke]
cgenie_cass:
  3D Haunted House, A10 Bomber, Airaid, Alien Attack, Aliens, Backgammon, Bak-Pak, Bang Bang, Die Berliner Uhr, Blastaroids,
  Character Generator/Editor, Chomper, Colour Emu 3.0 Welcome Tape, Colour Frog (no title screen), Colour Genie Chess,
  Colour Genie Pontoon, Colour Qix, Colour Quest 1: Find the Diamond of Balmarlon, Colour Quest 2: The Vegan Incident,
  Colour Quest 3: Enchanted Gardens, Colour Quest 4: Camelot Adventure, Colour Quest 4: Camelot Adventure (Marcos Software),
  Colour Quest 6: Fishing Quest, Colour Schach (TCS, 16k), Colours, Defender (Andreas Goldau), Demon Derby, Eliminator (Gumboot),
  Flying Bytes, Galactic Attack (Keyboard), Geniepede, Gobble Garden, Gorilla (32k), Gotya, Grabit, Grand Prix, Hektik (English),
  Hero Run, Intellegent Games Boards, Invader Demo, Invaders from Space, Jackpot, Jumbo, Kong, Line Drawing, M/C Tape Copier,
  Machine Monitor (?), Mad Driver, Madventure 2: Shipwreck, Magic Carpet Demo, Mampf Man II (alt), Martian Rescue, Mauer,
  Maze Chaser, Maze Man, Meteor (32k), Millipede, Mysterious Adventures No. 1: The Golden Baton,
  Mysterious Adventures No. 2: The Time Machine, Mysterious Adventures No. 3: Arrow of Death (Pt. 1),
  Mysterious Adventures No. 6: Circus, Numbers Up Shoot Out, Orgel, Palace of Ming, Panik, Plato, Point Chase, Protheus Schach,
  PSG-Demo, Puckman, Punktejagd, Punter, Q*Man, Quandry, Quasimodo, Racing Driver, Skramble, Snake Snatch, Soft-Bandit,
  Space Shares, Spell A Picture, Star Trek, Stockmarket Simulation, Super Gen v2, Swag!, Tausendfuss, Terry's Travels,
  To Hell And Back, Top of the World Music Demo, Tron, Unknown Chase Game, Unknown Game by S. J. Sole, Vier Gewinnt, Vortex,
  What's My Rhyme, The Word 1.2, Wordy, Zalaga [Dirk Best, Everygamegoing]
fmtowns_cd:
  CD Learning System II - New Horizon English Course 2, Ehon Writer V1.1 L10 (FMB-3011A),
  FM Towns FlexData Collection Vol. 1 - E to Oto no 365-nichi, PersoCom de Tanoshimu - Yama to Chizu Vol. 1,
  Shijou Saikyou no Video Bible - The Greatest Video Bible in the World, Shiki o Irodoru - Nihon no Shouka - Aki,
  Shiki o Irodoru - Nihon no Shouka - Fuyu, Shiki o Irodoru - Nihon no Shouka - Haru, Shiki o Irodoru - Nihon no Shouka - Natsu,
  TenderLight V1.1 L10, TownsPAINT V1.1 L22, Welcome to FM Towns (1994-09-29) [redump.org]
  Tamashii no Mon - Dante "Shinkyoku" yori [redump.org, coolmod]
fmtowns_flop_orig:
  Gear-Video, Logo Writer 2 [cyo.the.vile]
  Reira [wiggy2k]
gamegear:
  Ecco the Dolphin (EPROM 20 prototype), Ecco the Dolphin (prototype, 19930614) [drx]
  Dynamite Headdy (prototype), Mortal Kombat (prototype) [smspower]
ggm: Morphy Edition - Master Chess [Berger]
ibm5150:
  FreeDOS 1.3 Release Candidate 4 (Floppy-Only Edition, 3.5" 720k) [Davide Cavalca]
  DeathTrack [OldGames.sk]
  Advanced Dungeons & Dragons - Death Knights of Krynn (3.5", v1.00),
  Advanced Dungeons & Dragons - Death Knights of Krynn (3.5", v1.10),
  Advanced Dungeons & Dragons - Death Knights of Krynn (5.25", v1.00), Advanced Dungeons & Dragons - War of the Lance,
  Starflight 2: Trade Routes of the Cloud Nebula (3.5", alt) [The Good Old Days]
ibm5170:
  The Secret of Monkey Island (Spain, Maxi Juegos/Erbe release), SimCity 2000 (Spain, Ver 1.00, Dro Soft release) [archive.org]
  FreeDOS 1.0 (bootdisk), FreeDOS 1.2 (bootdisk), FreeDOS 1.3 Release Candidate 1 (bootdisk),
  FreeDOS 1.3 Release Candidate 2 (bootdisk), FreeDOS 1.3 Release Candidate 3 (Floppy-Only Edition),
  FreeDOS 1.3 Release Candidate 3 (bootdisk), FreeDOS 1.3 Release Candidate 4 (Floppy-Only Edition, 3.5" 1.44MB),
  FreeDOS 1.3 Release Candidate 4 (Floppy-Only Edition, 5.25" 1.2MB), FreeDOS 1.3 Release Candidate 4 (bootdisk) [Davide Cavalca]
  Midwinter II - Flames of Freedom (USA), The Secret of Monkey Island (Germany), SimCity 2000 (Germany, Ver 1.00),
  SimCity 2000 (Ver 1.00) [The Good Old Days]
ibm5170_cdrom:
  FreeDOS 1.0, FreeDOS 1.0 (updated), FreeDOS 1.1, FreeDOS 1.2, FreeDOS 1.3 Release Candidate 1, FreeDOS 1.3 Release Candidate 2,
  FreeDOS 1.3 Release Candidate 3, FreeDOS 1.3 Release Candidate 4 [Davide Cavalca]
ibm5170_hdd:
  FreeDOS 1.0, FreeDOS 1.3 Release Candidate 4, IBM DOS (Version 5.00), IBM DOS (Version 5.02), IBM DOS (Version 6.1),
  MS-DOS (Version 3.31), MS-DOS (Version 6.20), Microsoft Windows/386 Version 2.1, Microsoft Windows/386 Version 2.11, Windows 95,
  Windows for Workgroups Version 3.1, Windows for Workgroups Version 3.11, Windows NT 3.1 Workstation (3.10.511.1),
  Windows NT 3.51 Workstation (3.51.1057.1), Windows Version 3.11 [Davide Cavalca]
jakks_gamekey_sw:
  Catamaran Strike & Coruscant Fire Patrol (Jun 2 2005, prototype),
  Imperial Gunner & Escape From Cloud City (Dec 22 2005, prototype), Turret Defense & Yoda's Escape (prototype) [anonymous]
juicebox:
  Juicebox Music Video - Ashlee Simpson, The Cure, Vanessa Carlton, fan_3, Ashlee Simpson (H6226),
  Juicebox Music Video - Avril Lavigne, The Calling, Avril Lavigne, Clay Aiken, Ruben Studdard (H6228),
  Juicebox Music Video - Baha Men, Jump5, Jump5, Beu Sisters, ZOEgirl (H6230A),
  Juicebox Music Video - Liz Phair, Stacie Orrico, Skye Sweetnam (H2709),
  Juicebox Music Video - ZOEgirl, Jump5, Jump5, Baha Men, Atomic Kitten (H6232), Megas XLR Volume 1 (H2697),
  Streetball Classics Volume 1 (H7416), Teenage Mustant Ninja Turtles Episode 36 (H6260),
  Teenage Mustant Ninja Turtles Volume 1 (H2692), Vans Pipeline Masters Volume 1 (H2690), Winx Club Episode 103 (H6258),
  Winx Club Volume 1 (H2686), Yu-Gi-Oh! Episode 175 (H8084), Yu-Gi-Oh! Episode 176 (H8143) [Sean Riddle, David Haywood]
lk3000: Calculator, Electronic Notebook [hap, Sean Riddle]
mac_hdflop:
  KanjiTalk 7.5 [rockleevk]
  Adobe Dimensions 2.0, Adobe Illustrator 5.5, Aldus PageMaker 5.0 (Danish), Aldus PageMaker 5.0 (English),
  Aldus PageMaker 5.0 (German), Aldus PageMaker 5.0 (Swedish), Apple Network Administration Toolkit 1.0,
  Apple Network Administration Toolkit 1.0 Updates, Apple Network Administration Toolkit 2.0 Updates, At Ease 1.0.1, At Ease 3.0,
  At Ease for Workgroups 3.0, Central Point MacTools 3.0a, Claris Organizer 2.0v1, ClarisDraw 1.0v3,
  ClarisWorks 2.0CDv1 (UK English), ClarisWorks 3.0CDv1 (UK English), ClarisWorks 4.0Sv1 (Swedish), ClarisWorks 4.0v4 (US English),
  FoxBASE+/Mac 2.00, FrameMaker 4.0.2, FrameMaker 5.0, HangulTalk 7.1, Mac OS 7.6 (Spanish), Macintosh Student Essentials,
  MacWrite Pro 1.5v1, MacWrite Pro 1.5v3, Microsoft Excel 5.0 (German), Microsoft Excel 5.0a (US English),
  Microsoft FoxPro 2.5c (French), Microsoft FoxPro 2.5c (German), Microsoft Office 4.2 (Australian English),
  Microsoft Office 4.2 (Danish), Microsoft Office 4.2 (Dutch), Microsoft Office 4.2 (French), Microsoft Office 4.2 (Italian),
  Microsoft Office 4.2 (Norwegian), Microsoft Office 4.2 (Swedish), Microsoft Office 4.2 (US English),
  Microsoft Office 4.2.1 (US English), Microsoft Office Manager 4.2 (German), Microsoft PowerPoint 3.0b,
  Microsoft PowerPoint 4.0 (English), Microsoft PowerPoint 4.0 (German), Microsoft PowerPoint 4.0 (Italian),
  Microsoft PowerPoint 4.0 (Swedish), Microsoft Word 6.0 (Canadian French), Microsoft Word 6.0 (Danish), Microsoft Word 6.0 (Dutch),
  Microsoft Word 6.0 (French), Microsoft Word 6.0 (German), Microsoft Word 6.0 (International English),
  Microsoft Word 6.0 (Italian), Microsoft Word 6.0 (Japanese), Microsoft Word 6.0 (Swedish), Microsoft Word 6.0a (Norwegian),
  Norton Utilities for Macintosh 3.1.3, Norton Utilities for Macintosh 3.2.1, Norton Utilities for Macintosh 3.5.3, PlainTalk 1.2.1,
  QuarkXPress 2.11 (French), QuarkXPress 3.3 (English), Ready, Set, Go! 4.5a, Sid Meier's Civilization,
  Symantec C++ for Macintosh 6.0, Symantec C++ for Macintosh 7.0, System Software 6.0.7 (Polish), System Software 6.0.7 (Spanish),
  System Software 6.0.7 (US English), System Software 6.0.8 (International English), System Software 6.0.8 (US English),
  System Software 6.0.8L (US English), System Software 7.0 (US English), System Software 7.0.1 (Greek),
  System Software 7.0.1 (Italian), System Software 7.0.1 (Polish), System Software 7.0.1 (Portuguese),
  System Software 7.0.1 (US English), System Software 7.0.1.1 (Greek), System Software 7.0.4 (Swedish),
  System Software 7.1 (Canadian French), System Software 7.1 (Danish), System Software 7.1 (Dutch), System Software 7.1 (Finnish),
  System Software 7.1 (French), System Software 7.1 (German), System Software 7.1 (Italian), System Software 7.1 (Norwegian),
  System Software 7.1 (Polish), System Software 7.1 (Russian), System Software 7.1 (Simplified Chinese),
  System Software 7.1 (Spanish), System Software 7.1 (Thai), System Software 7.1 (Turkish), System Software 7.1 (US English),
  System Software 7.1.1 (US English), System Software 7.1b7 (beta, US English), System Software 7.5 (US English),
  System Software 7.5.3 Revision 2 (US English), System Software 7.5.5 Update (US English), System Update 2.0.1 (US English),
  System Update 3.0 (French), System Update 3.0 (US English), WordPerfect 3.0a, WordPerfect 3.1, WordPerfect 3.5 [WinWorld]
mbee_cart:
  Database (Swedish), Dinamicro 1.1 (Swedish), EDASM, FORTH v1.0, FORTH v1.1, Graphics (Swedish), Graphics / Database, HELP (set 1),
  HELP (set 2), Microspace Invaders, Mydas Dissassembler, Mytek Word Processor, OZLOGO, Pascal, Sargon Chess, Shell (pc85),
  Shell (pc85b), Shell (pc85s), Shell (ppc85), Super Disassembler 3.0, Survivor, Telcom 1.0, Telcom 1.1, Telcom 1.2, Telcom 3.0,
  Telcom 3.1, Telcom 3.2, Telcom 3.21, Telcom 3.21 (Premium), Telcom 3.21 (Standard), Telcom 3.21 (Swedish), Teleterm Telcom 1.08,
  Teleterm Test Rom 1.09, Terminal (set 1), Terminal (set 2), Typing Tutor, Viatel 2.0, Viatel 2.2, Viatel 2.3,
  Videotex 1.1 (Swedish), Videotex 2.34, Videotex 2.35, Wordbee 1.0, Wordbee 1.2, Wordbee 1.2 (Swedish), Wordbee 1.3,
  Wordbee 1.3 Rel 3, Wordbee 2.0 (Swedish) [Robbbert]
mbee_flop:
  2 Golf Games, 3 Golf Games t01, 3 Golf Games t04, 56k, 56k_master_91, 56k_sys, 56k_system_master_84_01, 56k_system_master_early,
  64k_premium_master, 64k_premium_system_disk, 64k_zcpr1.6, 64kmaster, 128k boot disk (set 1), 128k boot disk (set 2),
  128k Premium Master 1986/07, 128k Premium Master Early, 128k Premium Starter 1986/07, 128k Premium System 1988/03,
  128k Starter Disk, 128k Turbodisk II (set 2), 128k_swedish_boot_disk, 128k_system_master_35, 128kp Premium System 1988/03,
  128kp_master (set 1), 128kp_master (set 2), 128kp_starter, 128ks, 128ks_master, 128ks_swedish_boot, 128ks_utility,
  256tc_diagnostics, 256tc_intro, 256tc_system_disk_rel1_1987, 256tc_system_disk_rel2_1987, 256tc_system_disk_rel3_1988/06,
  256tc_system_disk_rel4_1988/09, 256tc_system_master, 256tc_utility_disk_rel2, Advanced (touch) Typing Tutor, Adventure Games #1,
  Adventure Games (set 1), Adventure Games (set 2), adventure1, adventure_13, adventure_14, Agricultural Studies, Air Track t01,
  Air Track t04, Air_Track, Alan's Adventure's Disk 2 (set 1), Alan's Adventure's Disk 2 (set 2), Alan's Adventure's Disk 3 (set 1),
  Alan's Adventure's Disk 3 (set 2), Alan's Adventure's Disk 4 (set 1), Alan's Adventure's Disk 4 (set 2), Alan's Games Disk 4,
  Arcade Games 1, Arcade Games 1 t01, Arcade Games 1 t04, Arcade Games 2 t01, Arcade Games 2 t03, Arcade Games 2 t04,
  Arcade Games 3, Arcade Games 4 t03, Art Auction, Australia 2020, Australiana Quiz Game, Basic Games 05, Battleship,
  Bee Casino t01, Bee Casino t04, Bee Draw 1.0, Bee Scientist 1 t01, Bee Scientist 1 t04, Beenet, Beesware Word Study,
  Bennett Data Multiplexer Buzznet III v1.3 (set 1), Bennett Data Multiplexer Buzznet III v1.3 (set 2),
  Bennett Data Multiplexer Communications Programme master demo, Bernie Nichols Educational Graphics, Bernie Nichols Language Arts,
  Bernie Nichols Reading Programs, Bernie Nichols Science and Miscellaneous, Bernie Nichols Spelling Programs, Biological Science,
  Birds of Antarctica, Brian Howarths Mystery Adventures, Bushwalking Adventure, Business and Home Database, Buzznet 3.4,
  Buzznet iii Demo Disk, bwmod, C.A.Sinclair Educational Disk, Carefile v1.3, Cashbook_v2.1 (set 1), Cashbook_v2.1 (set 2),
  Cheryl Goding Demo Disk, ChickenMan's Adventure's Disk 2, ChickenMan's Adventure's Disk 3, ChickenMan's Adventure's Disk 4,
  ChickenMan's Adventure's Disk 5, ChickenMan's Adventure's Disk 6, ChickenMan's Adventure's Disk 7,
  ChickenMan's Adventure's Disk 8, ChickenMan's Adventure's Disk 9, ChickenMan's Adventure's Disk 10,
  ChickenMan's Adventure's Disk 11, ChickenMan's Adventure's Disk 12, ChickenMan's Adventure's Disk 15,
  ChickenMan's Adventure's Disk 16, ChickenMan's Adventure's Disk 18, ChickenMan's Adventure's Disk 19,
  ChickenMan's Adventure's Disk 20, ChickenMan's Adventure's Disk 21, ChickenMan's Adventure's Disk 22,
  ChickenMan's Adventure's Disk 23, ChickenMan's Adventure's Disk 24, ChickenMan's Adventure's Disk 25,
  ChickenMan's Adventure's Disk 26, ChickenMan's Adventure's Disk 27, ChickenMan's Adventure's Disk 28,
  ChickenMan's Adventure's Disk 29, ChickenMan's Adventure's Disk 30, ChickenMan's Games Demo Disc,
  Chickenman's Games Disk 2 (set 2), Chickenman's Games Disk 4 (set 1), Chickenman's Games Disk 4 (set 2),
  Chickenman's Games Disk 5 (set 1), Chickenman's Games Disk 5 (set 2), Chickenman's Games Disk 8,
  Chickenman's Games Disk 9 (set 1), Chickenman's Games Disk 9 (set 2), Chickman's Games Disk 2 (set 1), Chip8 v2.3,
  Christmas Carols t04, CIAB boot menu, CIAB Double-sided Master, CIAB menu sample, CIAB System Master, CIAB System Master 1985/03,
  CIAB System Master 1986/02, Citadel of Chaos v2.01, Cloze Exercises, Colossal Cave, Colour Sampler 1, Commsoft Roots/M,
  Complete Scott Adams Original Adventures, Composer Bee Plus, Comprobe 1.00, cpm3_61k (set 1), cpm3_61k (set 2), cpm3_61k (set 3),
  cpm3_61k (set 4), cpm3_61k (set 5), cpm3_61k (set 6), cpm3_61k (set 7), cpm3_61k (set 8), cpm3_61k (set 9), cpm3_61k (set 10),
  cpm3_dri (set 1), cpm3_dri (set 2), cpm3_dri (set 3), cpm3_dri (set 4), cpm3_dri (set 5), cpm3_dri (set 6), cpm3_dri (set 7),
  cpm3_dri (set 8), cpm3_dri (set 9), cpm3_dri (set 10), cpm3_y2k (set 1), cpm3_y2k (set 2), cpm3_y2k (set 3), cpm3_y2k (set 4),
  cpm3_y2k (set 5), cpm3_y2k (set 6), cpm3_y2k (set 7), cpm3_y2k (set 8), cpm3_y2k (set 9), cpm3_y2k (set 10),
  Cricket t01, Cricket t04, Crossword Capers, Cunning Running, D.Heym Common Fractions, D.Heym Counting Numbers,
  D.Heym Directed Numbers, D.Heym Number Lines, D.Heym Various, David Ahls Adventures, databuzz_beenet_version, DBase II (backup),
  Demonstration Disk t02, Denham 1, Denham 2, Denham 3, Denham 4, Denham Easy Stats, Denham Kings Trees Aces, Disk Cataloger,
  Disk Test v3.9, Doodle Draw v1.1, Dragon Spells, Dungeons of Khan, Early Word v1.3,
  education_01, education_02, education_03, education_04, education_05, education_06, education_07, education_08, education_09,
  education_1, education_10, education_11, education_12, education_3, education_4, education_5, education_6, education_7,
  education_8, education_9, Electric Paintbrush Slide Show, electric_paintbrush_chalkboard_1.01, electric_paintbrush_fonts,
  electric_paintbrush_mouse_1.22, empty_ciab_sys, English, EPSGmod Files,
  Extended Turtle 4.3p, Extended Turtle 4.6p, Family Favourites t03, Family Favourites t04, Family Games 1 t01, Family Games 1 t03,
  Family Games 1 t04, Faust Adventure, Filemaster v2, First Fleet (set 1), First Fleet (set 2), First Fleet (set 3),
  First Fleet (set 4), Fortris, FTL Modula2 disk1, FTL_Modula2 disk2, FTL_Modula2 disk3, Games from Wildcards Vol 1,2,3,4, Games2,
  Geograbee, Geography 1, Geography 2, Geography 3, Getting to know your Microbee, Ghost Muncher / Kilopede, Gold-dust Island,
  Goodison Demo, Goodison Education 1, Goodison Education 2, Goodison Education 3, Goodison Mathematics, Goodison Speed Reading,
  Goodison Spelling, Goodison Words, Graphic Adventures 1 t01, Graphic Adventures 1 t04, Greybeard Tape Files (set 1),
  Greybeard Tape Files (set 2), Hangman, Hiplot, Hoards of the Deep Realm 1.0 (set 1), Hoards of the Deep Realm 1.0 (set 2),
  Hoards of the Deep Realm 1.1 (set 1), Hoards of the Deep Realm 1.1 (set 2), Hoards of the Deep Realm 11t (set 1),
  Hoards of the Deep Realm 11t (set 2), Home Economics, Honeysoft Arcade Games Vol II, Honeysoft Demo Disk, Honeysoft Demo Disk t04,
  Honeysoft Microbee Adventures Vol Three (set 1), Honeysoft Microbee Adventures Vol Three (set 2),
  Honeysoft Microbee Adventures Vol Two (set 1), Honeysoft Microbee Adventures Vol Two (set 2),
  Honeysoft Microbee Text Adventures Vol One (set 1), Honeysoft Microbee Text Adventures Vol One (set 2), Icon Editor v1.4,
  impact_media_shareware_d1, impact_media_shareware_d2, Information Express v1.2, Isbok Adventure, Jewels of Sancara Island,
  JHBeesware 1, JHBeesware 2, JHBeesware 3, Job Option Bank v4.52, Kids Pack 1 t03, Kids Pack 1 t04, Kids Pack 2 t03,
  Label Generator Program, Learning Can Be Fun more t01, Learning Can Be Fun more t03, Learning Can Be Fun more t04,
  Learning Can Be Fun numbers t01, Learning Can Be Fun numbers t04, Learning Can Be Fun Words and Numbers t04,
  Learning Can Be Fun words t01, Leisure Suit Larry, Let's Go Punting (set 1), Let's Go Punting (set 2), Lets Eat Worms,
  Machine-Code and Basic Tutorials, Manual Arts, Mathematics #1, Mathematics #2, Melbourne to Hobart Yacht Race Simulation,
  Membership Maintenance System v1.30, Menu of Arcade Games (set 1), Menu of Arcade Games (set 2), Menu of Arcade Games (set 3),
  Menu of Arcade Games (set 4), Menu of Games 7, Menu of games and other programs (set 1), Menu of games and other programs (set 2),
  Menu of games and others on Disk #3 (set 1), Menu of games and others on Disk #3 (set 2), Menu of Games Disk #1 (set 1),
  Menu of Games Disk #1 (set 2), Menu of Games on Disk (set 1), Menu of Games on Disk (set 2), Micro Defender,
  Microbear Public Domain, Microbee Arcade Games #1, Microbee Arcade Games #2, Microbee Lines v0.1, Micropen 1.0,
  Microspace Invaders II, Milestone 1.09, Millionwaire 3.0 (set 1), Millionwaire 3.0 (set 2), MMD Educational, The Mob From Evil,
  MUGWA Amateur Radio programs, MUGWA Beeforth, MUGWA boot disk, MUGWA dbase_001, MUGWA dbase_002, MUGWA dbase_a_001,
  MUGWA dbase_a_002, MUGWA dbase_a_003, MUGWA dbase_a_004, MUGWA dbase_a_005, MUGWA macro_001, MUGWA paslib2_000, MUGWA rom_pak,
  MUGWA Small-C, Musicraft, Nanoc the Destroyer / Jumpman (set 1), Nanoc the Destroyer / Jumpman (set 2),
  Nanoc the Destroyer II / Freedom Fighter / Missile Dodger (set 1),
  Nanoc the Destroyer II / Freedom Fighter / Missile Dodger (set 2), Nanoc's Revenge, Nemesis 1.2, Nemesis Dungeon Master,
  Networked Educational 1, Networked Educational 2, Networked Educational 3, Number Line Set, One World Countries Database 1.01,
  ORAC Explorers, ORAC Scientists 1 v3.1, Our World t02, Our World t04, Pascals Triangle Set, PAWcomp Adventure compiler,
  Penguin Book of Microbee Games, Penny Arcade t02, Penny Arcade t03, Penny Arcade t04, Peter Broughton v1.1, Peter Broughton v1.2,
  Peter Broughton v2.0pre deepdene, Peter Broughton v2.2, Peter Broughton v2.2p 1of2 (set 1), Peter Broughton v2.2p 1of2 (set 2),
  Physical Science, Plan80 v2.4, Poster Disk 1987, Premium Beeartistic 1.30, premium1, premium2, Primary Rime Lessons,
  Primary Teachers Rollbook, Printmaster 1.0, Printmaster 1.10a, Printmaster Graphics Editor, Printmaster Plus 1.46,
  Raft-away River, Random Basic games, Research Logo 1.0, Research Logo 1.0a, Research Logo 1.0a+, Richard Larkins Games,
  Scavenger Hunt, Science Tutorial 1 t01, Science Tutorial 1 t02, Science Tutorial 1 t04, Science Tutorial 2 t01,
  Science Tutorial 2 t04, Selection Menu (set 1), Selection Menu (set 2), Sheep-dog Trial,
  Simon Gerraty 80/40 Track Bios 4.2b (set 1), Simon Gerraty 80/40 Track Bios 4.2b (set 2), Simple and Compound Interest,
  Simple Business Graphics, Simply DB 1.20c, Simply DB 2.02, Simply Write Font Editor v2.04, Simply Write v2.04,
  Simply Write v3.02, Simply Write v3.03, Sketch Pad, Smart Model Controller v1.12m, Smartkey v1.1a, SMUG 02, SMUG Tape Library,
  Social Science, Social Studies Oracle t03, Social Studies Oracle t04, Social Studies t01, Social Studies t04, Springboard Clipart,
  Storymaker 128k, Storymaker 256tc, Strategic Games 1 t01, Strategic Games 1 t03, Strategic Games 1 t04,
  Sword Quest / Microspace Invaders II / The Valley / Caves, swedish_128k_boot_disk, Sydney Approach,
  Takeover: warriors against the world, Tantrix, Technical Drawing t01, Technical Drawing t04, Telcom 2.0/2.2 (for 64k),
  Telcom 3.0 Upgrade (for 128k/256tc), Thunder Road Adventure 1.2, Tim Hartnell Adventures, Timegap-x, Timetable Blocker 5.1,
  Timetable Manager 4.3, Turbo Pascal, Turbodisk II (set 1), turtle, utilities, Utility,
  Various Scottfree Adventures Disk 17, Venture Writer 2.1, Viatel Upgrade v1.3a, Viper, Visual Programming t03, Wanderer,
  Ways We Were, WDPROC - Word Processing Package, The Winners, Word Puzzles, Wordgraph A, v02, Wordgraph A, v04, Wordstar 3.3,
  Wordstar 4.0, wordstar v3.3 1of2, Wordstar v3.3 2of2, Zeephon, zpm3_61k (set 1), zpm3_61k (set 2), zpm3_61k (set 3),
  zpm3_61k (set 4), zpm3_61k (set 5), zpm3_y2k (set 1), zpm3_y2k (set 2), zpm3_y2k (set 3), zpm3_y2k (set 4), zpm3_y2k (set 5)
  [Robbbert]
megadriv:
  Mega Turrican (prototype 19930518) [armadylo]
  Ballz 3D (prototype 199409xx) [ExplodedHamster]
  Akira (prototype), Australian Rugby League (prototype), Captain Lang (prototype), Champions World Class Soccer (prototype),
  College Football USA 96 (prototype 19950621), Danny Sullivan's Indy Heat (prototype) (pirate),
  Disney's Aladdin (prototype 19930627), Disney's The Jungle Book (prototype), Dr. Robotnik's Mean Bean Machine (USA, prototype),
  Dune - The Battle for Arrakis (Euro, prototype 19940111), Ecco the Dolphin (prototype), The Flintstones (Ocean prototype),
  The Flintstones (prototype), Flux (Euro, prototype 19950425), Granada (Jpn, USA, v1.1 prototype), NBA Jam (Apr 1993 prototype),
  NHLPA Hockey 93 (Euro, USA, v1.1 alt), Psycho Pinball (prototype), Putty Squad (early prototype), Radical Rex (Euro, prototype),
  Sonic Spinball (Aug 1993 prototype), Spirou (Euro, prototype),
  Street Fighter II' - Champion Edition (Euro, USA, prototype 19930325),
  Street Fighter II' - Champion Edition (Euro, USA, prototype 19930730), Street Racer (Euro, prototype 19950321),
  Tintin au Tibet (Euro, prototype), World of Illusion Starring Mickey Mouse and Donald Duck (prototype) [Hidden Palace]
  Ballz 3D (USA, prototype 199406xx) [HyperGHZ]
  Michael Jackson's Moonwalker (prototype 19900424) [Landon White]
  Bio Hazard Battle (prototype), Ship (prototype) [Modern Vintage Gamer]
  Wayne Gretzky and the NHLPA All-Stars (prototype 19950217) [Sonik]
  Taz-Mania (prototype) [stonic]
nes:
  Glider [anonymous]
  U-four-ia - The Saga (USA, prototype) [armadylo]
  Getsufuu Maden (Jpn, sample) [Ballz, Kevin Horton]
  Action 53 Vol. 3 - Revenge of the Twins, Double Action 53 Volume 2 (R.C.#2), Streemerz - Action 53 Function 16 Volume 1 (R.C.#2)
  [Damian Yerrick, NesDev]
  Millipede (Jpn, prototype) [Dutchman2000, bunnyboy]
  Dino Hockey (USA, prototype) [Frank Cifaldi]
  Adventure Island 3 (Euro, prototype), Double Dragon III - The Rosetta Stone (USA, prototype),
  Robin Hood - Prince of Thieves (USA, 19910516 prototype), UWC (USA, prototype) [Hidden Palace]
  Final Fantasy (USA, prototype) [Hidden Palace, Stephan Reese]
  E.T. [KHAN]
  After Burner II (Jpn, alt PCB), Baseball (Jpn, STROM PCB), The Chessmaster (USA, Rev. A), Mahjong (Jpn),
  Nobunaga no Yabou - Bushou Fuuunroku (Jpn, Rev. A), Pac-Man (Jpn, Rev. A), Pachio-kun 3 (Jpn, Rev. A),
  Rockman 4 - Aratanaru Yabou!! (Jpn, Rev. A), Tecmo NBA Basketball (USA, Rev. A), Tiger-Heli (Euro, Rev. A),
  Tokyo Pachi Slot Adventure (Jpn) [No-Intro]
  2A03Puritans [rainwarrior]
  Magical Doropie (Jpn, prototype) [SegaSamiCD, VGHF]
  Bible Adventures (USA, v5.0), F-1 Race (Jpn, prototype), Meikyuu Kumikyoku - Milon no Daibouken (Jpn, prototype),
  Sample Cassete Cadillac (Jpn) [Skrybe]
  Dr. Mario (Apr 27, 1990 prototype) [Skrybe, Hidden Palace]
  The Tale - Elrond no Eiyuu (Jpn, prototype) [TC, anonymous]
  Garfield - A Week of Garfield (Jpn, prototype v0.9) [togemet2]
sms: Advanced Dungeons & Dragons - Heroes of the Lance (prototype) [smspower]
snes:
  Atmosfear (USA, prototype 19940712), EarthBound (USA, prototype 19950327) [Hidden Palace]
  College Slam (USA, final prototype), CutThroat Island (Euro, final prototype), Fatal Fury 2 (USA, prototype),
  Foreman For Real (USA, final prototype), Kyle Petty's No Fear Racing (USA, final prototype), Samurai Shodown (USA, prototype),
  Speed Racer in My Most Dangerous Adventures (USA, prototype), Venom & Spider-Man - Separation Anxiety (USA, final prototype),
  WWF WrestleMania - The Arcade Game (USA, prototype) [togemet2]
spectrum_cass:
  Cárie, Terrormolinos! (Aackosoft) [Planeta Sinclair]
  Abu Simbel Profanation (small case), Abu Simbel Profanation (small case, alt), Cybernoid II - The Revenge (IBSA),
  Dan Dare II - SU Edition, Dan Dare III - The Escape (Dro Soft), Defender of the Crown, Defender of the Crown (alternative),
  Eddie Edwards' Super Ski (Erbe), Eddie Edwards' Super Ski (Players Premier), Eddie Edwards' Super Ski (Players Premier, alt),
  Firelord (Erbe), Green Beret (Erbe, medium case), Guerrilla War: Hail the Heroes (Erbe), Miami Vice (IBSA),
  Molar Maul (Microbyte), Pac-Mania (MCM), Pink Panther (Dro Soft, double case), Pink Panther (Dro Soft, small case),
  Quazatron (Erbe), Quest for the Holy Something (alt 2), Robocop 2 (Erbe, small case), Scuba Dive (GTS), Super Trolley (Dro Soft),
  SWIV (Dro Soft), Uchi-Mata (IBSA/Erbe, Serie Leyenda), Wizball (IBSA) [spectrumcomputing.co.uk]
super80_cass:
  Crazy Maze [Matrix Software]
  Crazy Maze (with arrows) [Matrix Software, Robbbert]
vsmilem_cart:
  Action Mania (USA, alt 1), Action Mania (USA, alt 2), Disney Mickey Mouse Clubhouse (alt, USA),
  Disney/Pixar Cars - Rev It Up in Radiator Springs (USA), Disney/Pixar Cars 2 (Pocket version, USA), Disney/Pixar Cars 2 (USA),
  DreamWorks Kung Fu Panda - Path of the Panda (USA), NASCAR Academy - Race Car Superstar (alt, USA),
  Nickelodeon Dora the Explorer - Dora's Fix It Adventure (USA, rev. 3?), Scooby-Doo! - Funland Frenzy (alt, USA),
  Scooby-Doo! - Funland Frenzy (USA) [skaman]
  Nickelodeon Dora La Exploradora - La Aventura Arregla-Todo de Dora (Spain) [TeamEurope, ClawGrip]
x68k_flop:
  Video Game Anthology vol. 11 - Pac-Land [cyo.the.vile]
  Detana!! TwinBee [r09]


Software list items promoted to working
---------------------------------------
fmtowns_cd:
  Frog Feast Demo, Mad Stalker - FullMetalForce, The Queen of Duellist (HME-166) [Carl]
  The 4th Unit 7 - Wyatt (demo), Planet Harmony [tenyuhuang]
fmtowns_flop_misc: Abunai Tengu Densetsu, D.P.S - Dream Program System, Rance - Hikari o Motomete [Carl]
mac_hdflop: GayBlade [R. Belmont, O. Galibert]
pce: Dragon Egg! [thankyoumame, Ivan Vangelista]
rx78_cart: Excite Baseball [Robbbert]


New NOT_WORKING software list additions
---------------------------------------
a800_flop:
  T-34: The Battle [A8SP]
  Yoomp! [Yoomp! Team]
aquarius_cart: C1541 DOS V3.0 [Wido Van Den Heuvel]
cgenie_cass:
  Galactic Attack (Joystick), Numbers Up Shoot Out (Alt), Plotter 2.5, Racing, Roulette, Shaper: Shape Table Editor, Tarnsman of Gor
  [Dirk Best, Everygamegoing]
dragon_cart: Dragon EPROM Programmer, Prestel, Terminal Simulator [Nigel Barnes]
leapfrog_zippity_cart: The Princess and the Frog - Magical Bayou Adventure (UK) [Sean Riddle]
leapster_explorer_cart:
  Adventure Sketchers (USA) (Creativity Learning Game), Mr. Pencil Saves Doodleburg (USA), TinkerBell and the Lost Treasure (USA)
  [David Silva]
lk3000: English-German [hap, Sean Riddle]
mac_hdflop:
  AutoCAD Release 12c3, Mac OS 8.0 (US English), Matlab 4.0 Student Edition,
  Microsoft Works 4.0b (Australian English, Power Macintosh upgrade), Microsoft Works 4.0b (German, Power Macintosh upgrade),
  Microsoft Works 4.0b (International English, Power Macintosh upgrade), Microsoft Works 4.0b (US English, Power Macintosh upgrade),
  SoftWindows 3.0, System Software 7.1.1 (PowerBook 150, US English), System Software 7.1.2 (LC 580/Quadra 630, US English),
  System Software 7.1.2 (Power Macintosh, Czech), System Software 7.1.2 (Power Macintosh, German),
  System Software 7.1.2 (Power Macintosh, US English), System Software 7.1.2 (Quadra, US English), Vellum 3D 2.6.9 [WinWorld]
mbee_flop:
  Beetalker and Beethoven demo, Bondwell Speech, Disk Beecomposer, Joystick Games 1 t03, Joystick Games 1 t04, mouse_bios9,
  R.A.C.E.R., Survivor, Wavplay 2.3 [Robbbert]
mobigo_cart: Disney/Pixar Cars 2 (USA, rev 2?), Thomas & Friends - Really Useful Engines (USA, rev 2?) [Sean Riddle, David Silva]
pce_tourvision: Titan (TourVisión PCE bootleg) [Arcade Planet]
vsmile_cart: Teclado Interactivo V.Smile (Spain) [TeamEurope, ClawGrip]
vtech_innotab_cart: The Penguins of Madagascar (USA), Teenage Mutant Ninja Turtles - Turtle Power! (USA) [David Silva]
vtech_storio_cart:
  Cars 2 (USA), Disney Princess - A Gift From The Heart & Belle's Special Treat (USA), Dora and the 3 Little Pigs (USA),
  Hello Kitty's Surprise (USA), Mickey Mouse Clubhouse (USA), Mickey Mouse Clubhouse (USA, flash chip),
  TinkerBell and the Great Fairy Rescue (USA) [Sean Riddle, David Silva]


Translations added or modified
------------------------------
Chinese (Simplified) [YuiFAN]
Chinese (Traditional) [YuiFAN]
Greek [BraiNKilleRGR]


Merged pull requests
--------------------
- 7855: video/315_5124.cpp: Fixed color in SMS1 VDP (315-5124), and added notes. [cam900]
- 8015: Allow compiling on Linux without PulseAudio. [Jason Flatt]
- 8016: machine/rtc65271.cpp, firebeat.cpp: Allow NVRAM to be initialized with default data from memory region. [Windy Fairy]
- 8034: bus/centronics: Added +5 V peripheral sense input signal (used by Epson QX-10). [Brian Johnson]
- 8044: ksys573.cpp: Changed CD-ROM cycles per sector from 5,000 to 30,000 (fixes errors in Drummania 2nd Mix). [Windy Fairy]
- 8073: nes.xml: Added eleven entries, replaced several entries with verified dumps, and corrected metadata. [quasiscroto]
- 8096: video/namcos2_sprite.cpp: Corrected tile/size selection for Final Lap sprites. [David Haywood]
- 8098: bus/coco/coco_ssc.cpp: Improved reset handling. [Tim Lindner]
- 8099: machine/coco.cpp: Fixed joystick port device selection (MT07475). [Tim Lindner]
- 8100: spg2xx_jakks_gkr.cpp, jakks_gamekey_sw.xml: Added several prototype TV games. [anonymous, David Haywood]
- 8102: alg.cpp: Fixed “Picmatic” company name. [ClawGrip]
- 8103: phoenix.cpp: Corrected manufacturer for “G.G.I. Corporation” bootlegs. [ClawGrip]
- 8104: bus/coco: Added CoCo Max HI-RES input module; machine/6883sam.cpp: fixed address mask in ROM/RAM mode. [Tim Lindner]
- 8105: gamegear.xml, sms.xml: Added three prototypes. [smspower, quasiscroto]
- 8108: spinb.cpp: Added Bushido (set 3). [Victor Fernandez (City Game), ClawGrip]
- 8110: nes.xml: Added several entries, and corrected metadata. [Hidden Palace, No-Intro, Skrybe, Stephan Reese, quasiscroto]
- 8111: rohga.cpp: Added Nitro Ball (World, set 3). [JammaFever, Nebula, Recreativos Piscis, Sergio Galiano]
- 8112: a800.xml: Removed spurious C1 control characters. [quasiscroto]
- 8113: Added some TV games, and a number of educational system cartridge dumps. [Sean Riddle, David Silva, taizou, David Haywood]
- 8115: plugins/data: Strip carriage return characters from history.xml text. [Belegdol]
- 8116: megadriv.xml: Added seven prototypes, and replaced one monolithic dump with chip dumps. [Hidden Palace, quasiscroto]
- 8120: apple2gs_flop_orig.xml: Moved 16-bit software out of apple2_flop_orig.xml and added latest dumps. [4am, Firehawke]
- 8121: sound/es5503.cpp: Register 0xE0 bits 0 and 6 should always read high. [Tim Lindner]
- 8122: schexx4gen.cpp: Added Super Chexx (EM Bubble Hockey). [ClawGrip]
- 8123: enmirage.cpp: Improved emulation of Ensoniq Mirage (still not working, but can load and play samples). [Tim Lindner]
- 8124: exerion.cpp: Added Exerion (Assa, bootleg). [Juan Romero, ClawGrip]
- 8125: mac_hdflop.xml: Attached the software list to appropriate machines, and started adding stuff. [r09, WinWorld, rockleevk]
- 8126: vsmile_cart.xml: Added Teclado Interactivo V.Smile (Spain). [TeamEurope, ClawGrip]
- 8127: chexx.cpp: Add note about undumped Spanish clone. [ClawGrip]
- 8128: merits.cpp: Added note about other machines using the same board. [ClawGrip]
- 8129: bus/coco/coco_max.cpp: Cleaned up code a little, and fixed address mask in ff90_read. [Tim Lindner]
- 8130: a800_flop.xml: Added five items. [A8SP, Yoomp! Team, quasiscroto]
- 8131: pce.xml: Removed zero offsets from ROM load commands. [ClawGrip]
- 8132: pce_tourvision.xml: Added Titan (TourVisión PCE bootleg). [Arcade Planet, ClawGrip]
- 8133: plsonic4.cpp: Confirmed crystal value. [ClawGrip]
- 8134: machine/6883sam.cpp: Cleaned up inconsistent spacing. [Tim Lindner]
- 8135: bus/coco/coco_fdc.cpp: Added 5.25" double density and 3.5" double density drive options. [Tim Lindner]
- 8136: pasha2.cpp: Removed trampolines, changed code to use bitmaps for intermediate buffers, and cleaned up code. [cam900]
- 8137: megadriv.xml: Added twenty-one items. [Hidden Palace, Modern Vintage Gamer, quasiscroto]
- 8138: machine/spg2xx_io.cpp: Made SPG2xx I/O interrupt checking a bit more lean, and improved ADC behavior. [Ryan Holtz]
- 8139: vic1001_cart.xml: Replaced bad dump of sargon2 (last byte should be RTS back to BASIC). [David Viens]
- 8141: cclimber.cpp Added Crazy Kong (SegaSA / Sonic bootleg). [Juan Romero, ClawGrip]
- 8143: supracan.cpp Added preliminary sound emulation for the Super A'Can. [Ryan Holtz, superctr]
- 8144: spg2xx.cpp: Added Codename: Kids Next Door - Operation: P.L.U.G.G.U.H.S. [Sean Riddle, Kamaal Brown, David Haywood]
- 8145: formats/wd177x_dsk.cpp: Reject images with more tracks than the drive supports. [Tim Lindner]
- 8146: juicebox.xml: Added fourteen entries. [Sean Riddle, David Haywood]
- 8147: indigo.cpp: Added indigo4k boot PROM version 4.0.5G revision B as BIOS option. [Henry Bent, Davide Cavalca]
- 8148: Updated Greek translation. [BraiNKilleRGR]
- 8149: formats/wd177x_dsk.cpp: Improved tests for image for compatibility with drive. [Tim Lindner]
- 8150: Fixed building with pcap network module. [xray-sky]
- 8151: galaxian.cpp: Moved guttangt to newer Galaxian/Scramble hardware driver, and promoted to working. [David Haywood]
- 8153: schick.cpp: Hooked up sound chips correctly, attempted to improve graphics, and expanded notes. [David Haywood]
- 8155: seta.cpp: Improved downtown protection simulation (fixes MT05385). [Angelo Salese]
- 8158: nes.xml: Added three cartridges; bus/nes/action53.cpp: Improved banking emulation. [Damian Yerrick, NesDev, quasiscroto]
- 8159: kchamp.cpp: Added Karate Champ (Tecfri bootleg). [jordigahan, ClawGrip]
- 8160: audio/acan.cpp: Added DMA-driven sample support, and fixed sample length calculation. [Ryan Holtz, Ian Karlsson]
- 8163: phoenix.cpp: Corrected pleiadss manufacturer. [Museo del Recreativo, ClawGrip]
- 8164: video/galaxold.cpp: Fixed rockclim sprite bank selection. [David Haywood]
- 8165: ibm5150.xml, ibm5170.xml, ibm5170_cdrom.xml: Added various FreeDOS versions. [Davide Cavalca]
- 8168: galaxian.cpp: Started splitting up the driver state class to encapsulate variants. [Vas Crabb]
- 8169: pce.xml: Removed motorod2a (appears to be a hack), and made the newer revision of R-Type Part-2 the parent. [quasiscroto]
- 8170: mac_hdflop.xml: Added another batch of software. [WinWorld, r09]
- 8172: inufuku.xpp: Refactored code to meet current standards. [cam900]
- 8173: segas16a.cpp: Changed quartet button assignments to better match the control panel. [Steven Coomber]
- 8174: cirsa910510.cpp: Added two additional Mini Money sets. [Juan Romero, ClawGrip]
- 8176: nes.xml: Add a dozen more prototypes from various sources. [quasiscroto]
- 8177: psikyosh.cpp: Added notes, documented ROM locations/usage, and marked cocktail mode as unsupported. [cam900]
- 8178: osd/eminline.h: Added helpers for 64-bit count leading zeroes/ones. [Vas Crabb]
- 8179: fmtowns_cd.xml: Added twelve entries, replaced nine entries with better dumps, and added four missing floppies. [r09]
- 8181: video/hd61830.cpp: Fixed character blink mode. [jaens]
- 8182: galaxian_rockclim.cpp: Reworked rockclim driver to be based on the newer galaxian.cpp driver. [David Haywood]
- 8183: snes.xml: Added eleven prototypes. [Hidden Palace, togemet2, quasiscroto]
- 8184: mc10.cpp: Converted expansion modules to slot devices. [Tim Lindner]
- 8185: ibm5170_hdd.xml: Added a software list for pre-installed operating system images. [Davide Cavalca]
- 8187: ibm5150.xml: Added six items, and replaced one item with a better dump. [The Good Old Days, OldGames.sk, ArcadeShadow]
- 8188: ibm5170.xml: Added six items. [The Good Old Days, archive.org, ArcadeShadow]
- 8189: hh_sm510.cpp: Added Tronica Space Mission. [algestam]
- 8190: psikyo.cpp: Noted distributor for Sengoku Ace. [cam900]
- 8191: pofo.cpp: Fixed RAM expander reads and improved I/O emulation. [jaens]
- 8192: machine/pofo_kbd.cpp: Added Atari Portfolio keyboard device (fixes keys pressed simultaneously). [jaens]
- 8194: makefile: Put comment for end of BIGENDIAN block in the right place. [pkubaj]
- 8196: taitosj.cpp: Added a post-load function to decode RAM-based graphics after loading a saved state. [David Haywood]
- 8198: c64_cass.xml: Corrected year and publisher for several items. [Steven Coomber]
- 8200: namcos2.cpp: Added default NVRAM contents and magic I/O handler allowing finalap3bl to run. [David Haywood]
- 8203: apple2_flop_clcracked.xml, apple2gs_flop_orig.xml: Added latest dumps and cracks. [4am, san inc., Firehawke]
- 8205: spectrum_cass.xml: Added 28 items, and replaced ten items with better dumps. [ArcadeShadow]
- 8207: vsmilem_cart.xml: Added twelve items. [skaman, TeamEurope, ClawGrip]
- 8210: Eliminated remaining uses of auto_alloc and friends, and removed the object pool from running_machine. [Aaron Giles]
- 8211: Allow saved states to be deleted from the internal UI. [Vas Crabb]
- 8212: segas18_astormbl.cpp: Reworked System 18 Alien Storm bootlegs, and put themin their own driver to study. [David Haywood]
- 8213: machine/snescx4.cpp: Eliminated reach-around calls to fetch the main CPU in the SNES CX4. [Aaron Giles]
- 8214: sgi_mips_hdd.xml: Renamed items to avoid clashes with items in CD-ROM list. [Ryan Holtz]
- 8215: tool/imgtool: Removed object pool usage. [Aaron Giles]
- 8216: formats/flopimg.cpp: Removed object pool usage. [Aaron Giles]
- 8217: leapfrog_zippity_cart.xml: Moved games’ serial numbers to their own info elements. [ClawGrip]
- 8218: megadriv.xml: Added seven prototypes, and added ROM locations for crydragn. [quasiscroto]
- 8219: fmtowns_flop_clcracked.xml, fmtowns_flop_misc.xml, fmtowns_flop_misc.xml: Added three dumps, and updated metadata. [r09]
- 8223: video/gime.cpp: Derive timer duration from clock frequency – fixes PAL timings. [Tim Lindner]
- 8225: nes.xml: Added three homebrew items; bus/nes: Added support for SEALIE RET-CUFROM and partial support for SEALIE UNROM 512.
  [quasiscroto]
- 8226: gamegear.xml: Added two Ecco the Dolphin prototypes. [drx, quasiscroto]
- 8227: merits.cpp: Added Scorpion (Mar 24, 1992). [jordigahan, ClawGrip]
- 8229: x68k_flop.xml: Added two items for original floppy dumps, and explicitly marked some items as cracks. [r09, cyo.the0.vile]


Source Changes
--------------
-rtc65271: Allow for default nvram data initialization using external data [987123879113]

-firebeat: Add default unlocked RTC files [987123879113]

-ksys573: Change ATAPI_CYCLES_PER_SECTOR from 5000 to 30000 [987123879113]
 * This change fixes "CD-ROM DRIVE ERROR (-8)" errors in Drummania 2nd Mix.

-fmtowns: fix sprite gaps [cracyc]

-use derived classes for Namco System 2 sprites, give Final Lap its own based on schematics showing 32x32 select is different.
 (#8096) [David Haywood]

-ymfm: Some progress on OPZ. Some instruments in the TX81Z sound kind of ok now. [Aaron Giles]

-ymfm: Fix OPZ fine tuning and envelope shift. Now pretty much all the TX81Z built-in instruments sound reasonable. [Aaron Giles]

-ymfm: Improve OPQ behavior for timers and register access. Add YM3533 device and use that instead of YM3806. [Aaron Giles]

-ymfm: Don't mask off top bit of octave for OPQ. [Aaron Giles]

-z80scc: implement local loopback [Patrick Mackinlay]

-model1.cpp: redumped ic4 for wingwaru [Corrado Tomaselli]

-gamegear.xml, sms.xml: added more prototypes [0kmg]

New working software list additions
-----------------------------------
gamegear: [0kmg]
Dynamite Headdy (prototype) [0kmg]
Mortal Kombat (prototype) [0kmg]

-sms: Advanced Dungeons &amp; Dragons - Heroes of the Lance (prototype) [0kmg]

-ymtx81z: leave lcd color up to the (internal)artwork [hap]

New working clones
------------------
Ball Boy (3 players) [juking, xuserv]

-reorganize the floptool code, add some write support [Olivier Galibert]

-xerox820.cpp: Use memory view for bankswitching [AJR]

-leonardo/renaissance: use input_merger for stb [hap]

-swim: Fixed bugs linked to device selection [Olivier Galibert]

-input_merger: add setter for initial state [hap]

-leonardo/renaissance: ~ at wrong place [hap]

-tx81z: Add internal layout [Aaron Giles]

-apple2: proper behavior when nothing is connected to gameio.  Fixes Total Replay, Gauntlet IIgs, and many others from falsely
 detecting a joystick [R. Belmont, Peter Ferrie]

-Allow building without PulseAudio on Linux (#8015) [jflatt]

-saitek_osa sparc: add unemulated device warning flag (picked one that makes the most sense) [hap]

-ui: add reset to default to bios selection menu (the one from the TAB menu, not the popup when starting a machine) [hap]

-Experimental flux viewer, activate by #define FLUX_SCREEN 1 in floppy.cpp [Olivier Galibert]

-Remove leftover mame64 from docs [Olivier Galibert]

-flux screen: accelerate writes [Olivier Galibert]

-saitek_osa: preliminary hook up PW pin [hap]

Software list items promoted to working
---------------------------------------
pce.xml: Dragon Egg! [Angelo Salese]
pce_tourvision.xml: Dragon Egg! (TourVision PCE bootleg) [Angelo Salese]

-floppy.cpp: Disable new code when FLUX_SCREEN is #defined as 0 (and thereby work around crash with some disks) [AJR]

-floppy: Allow the vtech floppy with its 32.2us gaps read back unscathed [Olivier Galibert]

Machines promoted to working
----------------------------
Yamaha TX81Z [AJR, Aaron Giles]

-taitotz: Add controls for dendego3. [Ville Linde]

-canon_s80.cpp: Add preliminary keyboard [AJR]

-canon_s80.cpp: Further key identification [AJR]

-canon_s80.cpp: Add the space bar [AJR]

-psr60: Add internal layout. Hook up LEDs and buttons. [Aaron Giles]

-psr60: Use output finders. Implement keys as a matrix. Add psr70 mappings as well. [Aaron Giles]

-CoCo Speech/Sound Pak: fix noise on reset (#8098) [tim lindner]

-coco: fix disabling of joysticks (MT #7475) (#8099) [tim lindner]

-saitek_osa maestro: latest official version for default 'bios' [hap]

-views: Allow to know the currently selected entry [Olivier Galibert]

-including optional is not optional when optional is used [Olivier Galibert]

-315_5124.cpp: Fix color in SMS1 VDP(315-5124), Add hardware notes (#7855) [cam900]

-vtech: Add floppy formats and fs [Olivier Galibert]

-flux viewer switched on by mistake [Olivier Galibert]

-combatsc.cpp: converted to sublasses, views and (array of) finders [Ivan Vangelista]

-jackal.cpp: avoided allocating memory in ROM regions, general cleanups. Needs proper K005885 device for further cleanup
 [Ivan Vangelista]

-Copy/paste fix [Olivier Galibert]

-formats/vt_dsk.cpp: Fix clang error: unused variable 'floppyoptions_vz' [-Werror,-Wunused-const-variable]

-Better fix for vt_dsk.h header name clash [AJR]

-fmtowns: clamp the sprites to the sprite coordinate space rather than the layer size [cracyc]

-Stupid warning is stupid [Olivier Galibert]

-alg.cpp: Fix company name, it's "Picmatic", not "Web Picmatic" (#8102) [ClawGrip]
 * alg.cpp: Fix company name, it's "Picmatic", not "Web Picmatic"
   - As shown on the games, cab and manuals.
 * Change company name from "Web Picmatic" to "Picmatic"

-Add internal layout for PSR-70 [Aaron Giles]

-nes.xml: add dumps, fix dumps, verify dumps (#8073) [0kmg]

New working software list additions
-----------------------------------
After Burner II (Jpn, Alt PCB) [No-Intro]
Baseball (Jpn, STROM pcb) [No-Intro]
Bible Adventures (USA, v5.0) [Skrybe]
The Chessmaster (USA, Rev. A) [No-Intro]
Dr. Mario (Apr 27, 1990 prototype) [Skrybe, Hidden Palace]
Pac-Man (Jpn, Rev. B) [No-Intro]
Mahjong (Jpn) [No-Intro]
Rockman 4 - Aratanaru Yabou!! (Jpn) (Rev. A) [No-Intro]
Tecmo NBA Basketball (USA) (NES-N7) [No-Intro]
Tiger-Heli (Euro) (Rev. A) [No-Intro]
Tokyo Pachi Slot Adventure (Jpn) [No-Intro]

-nes.xml: [0kmg]
 * new verified dumps from bootgod's nescartdb: aburnerj1, baseballj1, bibleadv, chessmstu, drmariop1, pacmanj
 * new good yet "baddumps" split from nointro: mahjongb, rockman4, tecmonba, tigerhel, tokyopsa1
 * fixed by splitting verified nointro dumps (still need pcb info): badmintn, f1senstnj, tetrisjb
 * verified many previously listed split dumps against bootgod's db, updated chip/pcb labels, mmc, mirroring, and other metadata
 * moved verified split dumps into verified top section of list (seems like there are more changes than there really are due to
    this)
 * other minor metadata and typo fixes

-x68k_crtc: fix visarea [cracyc]

-floppy: Change the formats from an intrusive list to a vector [Olivier Galibert]

-floppy_image_format_t: Turn all the methods that can be static into static methods, which is almost all of them [Olivier Galibert]

-psr60: Document/flesh in the YM2154 rompler and the DRVIF chip. Rhythms now tick away and trigger samples, though we will have to
 wait for a ROM dump to hear them. [Aaron Giles]

-deco32.cpp: documented how to enter gun calibration screen for lockload and clones [Guru]

-canon_s80: remove "Canon" prefix from fullname for canons80 as well [hap]

-phoenix.cpp: Fix "G.G.I. Corporation" Phoenix set names (#8103) [ClawGrip]

-psr60: Figured out more YM2154 including start/end and more realistic timer computations [Aaron Giles]

-tsamurai.cpp: added dip-switch locations [Guru]

-slapstic: alt4 must be done with /cs avgdvg: don't interfere with the slapstic on esb [Olivier Galibert]

-Remove leftover debug code [Olivier Galibert]

-midiin: Add support for providing a .mid file as input [Aaron Giles]

-nes.xml: more dumps added, more dumps confirmed [0kmg]

New working software list additions
-----------------------------------
Adventure Island 3 (Euro, prototype) [Hidden Palace]
Final Fantasy (USA, prototype) [Hidden Palace, Stephan Reese]
Nobunaga no Yabou - Bushou Fuuunroku (Jpn, Rev. A) [No-Intro]
Pachio-kun 3 (Jpn, Rev. A) [No-Intro]
UWC (USA, prototype) [Hidden Palace, Stephan Reese]

-also verified racketat, rcproam against bootgod's DB + minor corrections [0kmg]

-x68k: fix 512 line double scan modes [cracyc]

-x68k: fill screen with color 0 if pcg disabled and make text color 0 transparent again [cracyc]

-hd63450: add linked array chaining [cracyc]

-a800.xml: removed spurious Unicode code points (#8112) [0kmg]

-New NOT_WORKING clone  (#8108) [ClawGrip]

New NOT_WORKING clone
---------------------
Bushido (set 3) [Victor Fernandez (City Game)]

-Add 'bushidob' [ClawGrip]

-mbee_cass.xml: Added note about file types. Marked mbeepp roms as bad dumps. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Fortune Wheel [coolmod]

-fwheel.cpp: corrected XTAL value for the main PCB [Ivan Vangelista]

-ymfm: Sync with upstream: [Aaron Giles]
 * Match OPN LFO frequencies to hardware measurements
 * Improve OPQ detune, reverb, and KSR

-ksys573.cpp: fixed MT07989 [Ivan Vangelista]

-Re-generate localisations [Vas Crabb]

-apple2: handle Bernie ][ .2MGs with the signature bytes flipped. [R. Belmont]

-x68k: adjust special priority mode and screen timings hd63450: correctly add link chain mode [cracyc]

-rohga.cpp: Added new clone nitrobalb: "Nitro Ball (World, set 3)" (#8111) [Sergio G]

New working clones
------------------
Nitro Ball (World, set 3) [JammaFever, Nebula, Recreativos Piscis, Spain]

-Only differs in b3, d3, b5 and b5 program roms. b6 and d6 are the same as nitrobal. [Sergio G]
 * Add nitrobalb to mame.lst
 * Update rom labels of nitrobalb set accordingly to Cocamatic paper label contents

-hd63450: speed up max rate transfers [cracyc]

new NOT_WORKING machine
-----------------------
Driving Simulator [Jorge Valero, MetalliC, rtw]

-votrax: Tell the device's parent when the IRQ line is lowered. Improves Type N Talk. [Rob Justice]

-Updated Chinese localisation. [YuiFAN]

-mbee: prepare for new software list. [Robbbert]

New working software list additions
-----------------------------------
mbee_cart: [Robbbert]
EDASM [Robbbert]
Forth v1.0 [Robbbert]
Forth v1.1 [Robbbert]
Ozlogo [Robbbert]
Chess [Robbbert]
Help (set 1) [Robbbert]
Help (set 2) [Robbbert]
Mydas Disassembler [Robbbert]
Super Disassembler 3.0 [Robbbert]
Mytek Word Processor [Robbbert]
Microspace Invaders [Robbbert]
Survivor [Robbbert]
Typing Tutor [Robbbert]
Wordbee 1.0 [Robbbert]
Wordbee 1.2 [Robbbert]
Wordbee 1.2 (Swedish) [Robbbert]
Wordbee 1.3 [Robbbert]
Wordbee 1.3 rel 3 [Robbbert]
Wordbee 2.0 (Swedish) [Robbbert]

-Strip CRs from history.xml (#8115) [Julian Sikorski]

-mbee: use select [Robbbert]

-fix softlist typos [0kmg]
 * apple2_flop_orig.xml: a couple of obvious typos
 * neogeo.xml: consistent spacing + jp title

-x68k_crtc: increase clock divisor for mode 0x11 and fix hsync irq at the end of the frame [cracyc]

New working machines
--------------------
Cambridge Programmable [hap, Sean Riddle]

New machines marked as NOT_WORKING
----------------------------------
Zooty Drum [xuserv]

-ddribble.cpp, finalizr.cpp, ironhors.cpp: minor cleanups [Ivan Vangelista]

-hh*: correct some machine types [hap]

-ympsr60: Fleshed out the PSR60/PSR70 drivers [Aaron Giles]
 * Split YM2154 into a separate device
 * Created fake YM2154 ROMs as placeholders
 * Created new BBD sound device in src/devices/sound/bbd.cpp
 * Created new mixer device in src/devices/sound/mixer.cpp
 * Connected YM2154 and BBD devices
 * Approximated BBD driver behavior
 * Exposed analog sliders as adjusters (accessible via ` menu)
 * Added sliders to layout and animated them

-cambrp: change to IPT_KEYBOARD to allow text pasting [hap]

-ibmpcjr: fix cpu clock [cracyc]

-es5503: bits 0 and 6 are always high for this register (#8121) [tim lindner]

-bus/coco: add CoCo Max Hi Res Input Module (#8104) [tim lindner]

-cambrp: add more interesting paste example [hap]

-bbd: Add support for a continuously-varying frequency to avoid abusing the sound manager. [Aaron Giles]

-bbd: Fix out of bounds accesses. [Aaron Giles]

-ympsr60: Fix BBD connections and behavior, use the cv callback to control the frequency. [Aaron Giles]

-tek410x: Add keyboard [AJR, Bitsavers]
 * tek440x: Hook up 410X keyboard to pass boot test
 * mc68681: Wait until transmitter is actually empty to set TxEMT

-ympsr60: Fix sustain behavior. Adjust volume range and defaults a bit. [Aaron Giles]

-vtech: Rework expansion bus emulation [Dirk Best]
 * Use memory taps instead of directly installing into the memory map
 * Use address_maps to specify address ranges
 * Add missing save states
 * Support the BennVenn SD Loader (preliminary)
 * Move lightpen skeleton to a device

-floppy: fix the build [Patrick Mackinlay]

-i82586: various fixes [Patrick Mackinlay]
 * send fcs in loopback mode
 * don't store fcs in memory
 * don't consume descriptors for bad frames

-ns32202: fix register masks [Patrick Mackinlay]

-tek4404: Start adding memory management [AJR]

New machines marked as NOT_WORKING
----------------------------------
Play Sonic 4 [Juan Romero, ClawGrip]

New working clones
------------------
Battle Arena Toshinden 2 (Euro 951124) [Brian Troha, The Dumping Union]
Battle Arena Toshinden 2 (Japan 951124) [Brian Troha, The Dumping Union]

-zn.cpp updates: [Brian Troha, The Dumping Union]
 * Removal of superfluous “unknown” ROM def for nbajamexa
 * Adding Export or Japan to the Tecmo sets
 * Changing Dead or Alive +++ to be “Japan/USA/Export” because it’s the only set that lets you change the “Nation” with added
    comment
 * White space cleanup

-ymfm: Sync with upstream: [Aaron Giles]
 * Fix panning calculations in OPL4 (YMF278B)
 * Make OPQ reverb less ridiculous

-new educational / plug and play dumps / cartridges from Sean [Sean Riddle, Dave "Foxhack" Silva] (#8113) [David Haywood]
 * add some dumped data to the innotab2 driver, split from storio [Sean Riddle]

new NOT WORKING software list entry
-----------------------------------
leapfrog_zippity_cart.xml: [David Haywood]
The Princess and the Frog - Magical Bayou Adventure (500-13779-A) (UK) [Sean Riddle]

new NOT WORKING machines
------------------------
Compact Cyber Arcade TV - 120 in 1 (JL2370) [Sean Riddle, taizou]
Leapster Explorer [David Haywood]

new NOT WORKING software list entries
-------------------------------------
leapfrog_leapster_explorer_cart.xml: [David Haywood]
TinkerBell and the Lost Treasure (500-14226-A) [Dave "Foxhack" Silva]
Mr. Pencil Saves Doodleburg (500-14221-A) [Dave "Foxhack" Silva]
Adventure Sketchers (500-15340-A) (Creativity Learning Game) [Dave "Foxhack" Silva]

new NOT WORKING software list entries
-------------------------------------
vtech_innotab_cart.xml: [David Haywood]
The Penguins of Madagascar (80-230500, US) [Dave "Foxhack" Silva]
Teenage Mutant Ninja Turtles - Turtle Power! (80-231300, US) [Dave "Foxhack" Silva]

-mobigo_cart.xml: remove jakenevalt, it's a bad dump "80-252800 - Jake and the Neverland Pirates (US).bin
 FIXED BITS (xxxxxx1xxxxxxxxx)" [David Haywood]

-mobigo_cart.xml: remove dprinces, it's a bad dump "mobigo_251100.bin                               BADADDRxxxxxxxxx-xxxxxxxxxxxxxx"
 [David Haywood]

new NOT WORKING software list entries
-------------------------------------
mobigo_cart.xml: [David Haywood]
Disney/Pixar Cars 2 (USA, rev 2?) [Sean Riddle, Dave "Foxhack" Silva]
Thomas & Friends - Really Useful Engines (USA, rev 2?) [Sean Riddle, Dave "Foxhack" Silva]

-- added German ltleappad BIOS [Team Europe, Sean Riddle]

new NOT WORKING software list entries
-------------------------------------
vtech_storio_cart.xml: [David Haywood]
Cars 2 (USA) [Sean Riddle, Dave "Foxhack" Silva]
Dora and the 3 Little Pigs (USA) [Sean Riddle, Dave "Foxhack" Silva]
Hello Kitty's Surprise (USA) [Sean Riddle, Dave "Foxhack" Silva]
Disney Princess - A Gift From The Heart &amp; Belle's Special Treat (USA) [Sean Riddle, Dave "Foxhack" Silva]
TinkerBell and the Great Fairy Rescue (USA) [Sean Riddle, Dave "Foxhack" Silva]
Mickey Mouse Clubhouse (USA) [Sean Riddle, Dave "Foxhack" Silva]

-update notes in storio xml [David Haywood]

-add some more known cartridge info to juicebox.xml [David Haywood]

-new working machines (plug and play) (#8100) [David Haywood]

new working machines
--------------------
Star Wars - Original Trilogy (JAKKS Pacific TV Game, prototype)  [anonymous]
Dreamworks Movie Night (JAKKS Pacific TV Game, Oct 18 2006, prototype)  [anonymous]
X-Men - Mutant Reign (JAKKS Pacific TV Game, prototype)  [anonymous]

new working clones
------------------
Star Wars - Revenge of the Sith (JAKKS Pacific TV Game, Game-Key Ready, prototype) [anonymous]
Dreamworks Movie Night (JAKKS Pacific TV Game, Apr 24 2006, test program) [anonymous]

new working software list entries
---------------------------------
jakks_gamekey_sw.xml : [David Haywood]
Turret Defense & Yoda's Escape (prototype)  [anonymous]
Imperial Gunner & Escape From Cloud City (Dec 22 2005, prototype)  [anonymous]
Catamaran Strike & Coruscant Fire Patrol (Jun 2 2005, prototype)  [anonymous]

-note about ADC issue, possible fix [David Haywood]

-move jak_capb plunger to analog channel 3 [David Haywood]

-mbee: added rom slot for the net rom. [Robbbert]

-New working clones (#8124) [ClawGrip]

New working clones
------------------
Exerion (Assa, bootleg) [Juan Romero, ClawGrip]

-Add 'exerionba' [ClawGrip]

New NOT_WORKING software list addition
--------------------------------------
vsmile_cart.xml: [ClawGrip]
Teclado Interactivo V.Smile (Spain) [TeamEurope, ClawGrip]

-seta: drgnunit is by athena [hap]

Machines promoted to working
----------------------------
PSR-60 PortaSound [R. Belmont, Aaron Giles]
PSR-70 PortaSound [R. Belmont, Aaron Giles]

-chexx.cpp: Add note about undumped Spanish clone [ClawGrip]

-merits.cpp; Add note [ClawGrip]

-megadriv.xml: add protos for more blast processing (#8116) [0kmg]
 * megadriv.xml: add protos for more blast processing

New working software list additions
-----------------------------------
Akira (prototype) [Hidden Palace]
Ecco the Dolphin (prototype) [Hidden Palace]
The Flintstones (prototype) [Hidden Palace]
Sonic Spinball (prototype 19930917) [Hidden Palace]
Street Fighter II' - Champion Edition (prototype 19930325) [Hidden Palace]
Street Fighter II' - Champion Edition (prototype 19930730) [Hidden Palace]
World of Illusion Starring Mickey Mouse and Donald Duck (prototype) [Hidden Palace]

-also replace Star Wars proto dump with proper EPROM dumps [0kmg]

-match vertical spacing [0kmg]

-some protos have region locks [0kmg]
 * Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-fix style. fix mask. (#8129) [tim lindner]
 * CoCo MAX fixes
   - address white space comments from @cuavas.
   - add keyboard inc and dec to mouse movements
   - fix mask in ff90_read()

New working clones
------------------
Asura Buster - Eternal Warriors (USA) [Darksoft, Brian Troha, The Dumping Union]
Asura Buster - Eternal Warriors (Japan, set 2) [CPsystem3, Brian Troha, The Dumping Union]

-firebeat.cpp: removed outdated comment [Guru]

-pasha2.cpp: redumped pal for zdrum [xuserv]
 * snowbros.cpp: corrected PCB markings for ballboy3p

-ympsr60: Add filters around BBD [Aaron Giles]

-plsonic4.cpp: Confirm xtal value (#8133) [ClawGrip]

-stv.cpp: moved the few remaining protection functions in stvprot.cpp to the driver file and eliminated strvprot.* [Ivan Vangelista]

-remove space before end parentheses in log statements [tim lindner]

-stv.cpp: redumped ic13 for vfremix [farzeno]

-hd63450: start handling bus errors [cracyc]

-geneve/ti99: Fixed HFDC hangs on not connected drives; allows timed steps for sector i/o instead of buffered steps only
 [Michael Zapf]

New machines NOT_WORKING
------------------------
Philips :YES [Svenska, rfka01, Carl]

-New NOT_WORKING machine (#8122) [ClawGrip]

New NOT_WORKING machine
-----------------------
Super Chexx (EM Bubble Hockey) [ClawGrip]

New working software list additions
-----------------------------------
mbee_cart: [Robbbert]
Teleterm Test Rom 1.09 [Robbbert]
Teleterm Telcom 1.08 [Robbbert]
Dinamicro 1.1 (Swedish) [Robbbert]
Telcom 1.0 [Robbbert]
Telcom 1.1 [Robbbert]
Telcom 1.2 [Robbbert]
Telcom 3.0 [Robbbert]
Telcom 3.1 [Robbbert]
Telcom 3.2 [Robbbert]
Telcom 3.21 [Robbbert]
Telcom 3.21 (Standard) [Robbbert]
Telcom 3.21 (Premium) [Robbbert]
Telcom 3.21 (Swedish) [Robbbert]
Terminal (set 1) [Robbbert]
Terminal (set 2) [Robbbert]
Viatel 2.0 [Robbbert]
Viatel 2.2 [Robbbert]
Viatel 2.3 [Robbbert]
Videotex 1.1 (Swedish) [Robbbert]
Videotex 2.34 [Robbbert]
Videotex 2.35 [Robbbert]
Shell (pc85) [Robbbert]
Shell (pc85b) [Robbbert]
Shell (ppc85) [Robbbert]
Shell (pc85s) [Robbbert]
Busycalc III [Robbbert]
Busycalc III (Swedish) [Robbbert]
Graphics / Database [Robbbert]
Graphics (Swedish) [Robbbert]
Database (Swedish) [Robbbert]

-mbee_cart.xml: fixed some bugs [Robbbert]

-mbee_cart.xml: Removed busycalc roms due to dependencies. Added quickloads to pc85 series. [Robbbert]

-vic1001_cart.xml: Replaced bad dump of sargon2. (#8139) [David Viens]
 * Previous dump hangs since the last byte is $01 instead of $A0. The code does not RTS and continues straight to BASIC in $C000
    hanging the CPU.

-stv.cpp: completed the vfremix ROM loading correction after the redump [Ivan Vangelista]

-stv.xml: used the correct ROM for vfremix [Ivan Vangelista]

-zpinbal.cpp: corrected dump for comeback [Toussu, flip78, PinMAME]

-mbee: added some bioses and notes. [Robbbert]

-Made SPG2xx I/O IRQ checking a bit more lean; improved ADC behavior. (#8138) [Ryan Holtz]

New clones marked as NOT_WORKING
--------------------------------
Jurassic Park (USA 3.07, display A4.00) [inkochnito, PinMAME]

-enmirage: fixed and updated to load and play via MIDI, panel controls hooked up [Tim Lindner]

New working clones
------------------
[Simon Wilmer, John Bennett] [Ivan Vangelista]

-ns32000: prepare for mmu [Patrick Mackinlay]
 * centralized memory accessors
 * added translation interface
 * implemented some missing instructions
 * add cascaded interrupt support

-ns32000: formatting [Patrick Mackinlay]

-Fix clang error: no case matching constant switch condition '1' [-Werror]

-taitosj.cpp: used arrays, removed tagmap lookups and other minor cleanups [Ivan Vangelista]

New working clones
------------------
The Astyanax (mask ROM version) [-Ace-]

-8080bw.cpp: fixed colors for Cosmo to match hardware [Guru]

New machines marked as NOT_WORKING
----------------------------------
La Rana [Museo del Recreativo]

-vicdual.cpp: use sspacaho's PROM for alphaho too, since it's basically the same game [Guru]

-unkm1: Identify undumped ROM [AJR]

-mbee128: fixed crash with tantrix disk [Robbbert]

-coco: add additional disk drives (#8135) [tim lindner]

new WORKING machine (#8144)
---------------------------
Codename: Kids Next Door - Operation: P.L.U.G.G.U.H.S. [Sean Riddle, Kamaal Brown]

-ym2154: Decode real sample data, which is ulaw-ish. [Aaron Giles]
 * ympsr60: Update to use real ROM data.

-c140: fix regression with namcos2 assault engine noise [hap]

-supracan.cpp: Added basic sound emulation. (#8143) [Ryan Holtz, superctr]
 * Many features still need fleshing out, including sample sources and envelopes.

-mac_hdflop.xml: attach the list and start adding stuff (#8125) [r09]

New working software list additions
-----------------------------------
Adobe Dimensions 2.0 [WinWorld]
Adobe Illustrator 5.5 [WinWorld]
Aldus PageMaker 5.0 (Danish) [WinWorld]
Aldus PageMaker 5.0 (English) [WinWorld]
Aldus PageMaker 5.0 (German) [WinWorld]
Aldus PageMaker 5.0 (Swedish) [WinWorld]
At Ease 1.0.1 [WinWorld]
At Ease 3.0 [WinWorld]
At Ease for Workgroups 3.0 [WinWorld]
Central Point MacTools 3.0a [WinWorld]
ClarisDraw 1.0v3 [WinWorld]
HangulTalk 7.1 [WinWorld]
KanjiTalk 7.5 [Rockleevk]
Mac OS 7.6 (Spanish) [WinWorld]
Macintosh Student Essentials [WinWorld]
MacWrite Pro 1.5v1 [WinWorld]
MacWrite Pro 1.5v3 [WinWorld]
Microsoft PowerPoint 4.0 [WinWorld]
Sid Meier's Civilization [WinWorld]
Symantec C++ for Macintosh 6.0 [WinWorld]
System Software 6.0.7 (Polish) [WinWorld]
System Software 6.0.7 (Spanish) [WinWorld]
System Software 6.0.7 (US English) [WinWorld]
System Software 6.0.8 (International English) [WinWorld]
System Software 6.0.8 (US English) [WinWorld]
System Software 6.0.8L (US English) [WinWorld]
System Software 7.0 (US English) [WinWorld]
System Software 7.0.1 (Greek) [WinWorld]
System Software 7.0.1 (Italian) [WinWorld]
System Software 7.0.1 (Polish) [WinWorld]
System Software 7.0.1 (Portuguese) [WinWorld]
System Software 7.0.1 (US English) [WinWorld]
System Software 7.0.1.1 (Greek) [WinWorld]
System Software 7.0.4 (Swedish) [WinWorld]
System Software 7.1 (Canadian French) [WinWorld]
System Software 7.1 (Danish) [WinWorld]
System Software 7.1 (Dutch) [WinWorld]
System Software 7.1 (Finnish) [WinWorld]
System Software 7.1 (French) [WinWorld]
System Software 7.1 (German) [WinWorld]
System Software 7.1 (Italian) [WinWorld]
System Software 7.1 (Norwegian) [WinWorld]
System Software 7.1 (Polish) [WinWorld]
System Software 7.1 (Russian) [WinWorld]
System Software 7.1 (Simplified Chinese) [WinWorld]
System Software 7.1 (Spanish) [WinWorld]
System Software 7.1 (Thai) [WinWorld]
System Software 7.1 (Turkish) [WinWorld]
System Software 7.1 (US English) [WinWorld]
System Software 7.1b7 (beta, US English) [WinWorld]
System Software 7.1.1 (US English) [WinWorld]
System Software 7.5 (US English) [WinWorld]
System Software 7.5.3 Revision 2 (US English) [WinWorld]
System Software 7.5.5 Update (US English) [WinWorld]
System Update 2.0.1 (US English) [WinWorld]
System Update 3.0 (French) [WinWorld]
System Update 3.0 (US English) [WinWorld]
WordPerfect 3.0a [WinWorld]

New not working software list additions
---------------------------------------
AutoCAD Release 12c3 [WinWorld]
Mac OS 8.0 (US English) [WinWorld]
System Software 7.1.1 (PowerBook 150, US English) [WinWorld]
System Software 7.1.2 (LC 580/Quadra 630, US English) [WinWorld]
System Software 7.1.2 (Power Macintosh,Czech) [WinWorld]
System Software 7.1.2 (Power Macintosh, German) [WinWorld]
System Software 7.1.2 (Power Macintosh, US English) [WinWorld]
System Software 7.1.2 (Quadra, US English) [WinWorld]
Vellum 3D 2.6.9 [WinWorld]

-pce.xml: Remove 0 offsets (default value) (#8131) [ClawGrip]

-wd177x: test to make sure the floppy drive has room for all of the tracks [tim lindner]

New working machines
--------------------
Alphatronic PC w/BiCom Graphics [rfka01]

-alphatro: Implemented the BiCom graphics card. [Nigel Barnes]
 * Added parallel and serial printer ports.
 * Added dipswitches for character set and printer interface.
 * Switched foreground/background colours.
 * Added romset from an Alphatronic used as a terminal [Binary Dinosaurs]

New working software list additions
-----------------------------------
alphatro_flop: Disk-Basic Beispielprogramme für hochauflösende Graphik [rfka01]

-indigo: add new ROM revision for indigo4k [Davide Cavalca]

-wd177x: remove tests for head count. add track count test in check_compatibility() becuase it will segfault if disk drive doesn't
 have enough tracks [tim lindner]

-fix pcap builds (#8150) [xray-sky, R. Stricklin]

New working clones
------------------
Invinco / Car Hunt (Germany) [MikeMcBike, Brian Troha]

-ns32082: new device [Patrick Mackinlay]

-junofirst: Fix MT#7992 [Olivier Galibert]

-atetrisb2, atetrisb3: Fix regression [AJR]

-Updated Greek Translation [BraiNKilleRGR]

-mermaid: Support the masking effect (imperfectly) [Olivier Galibert]

-rougien: First implementation of the split-bg effect [Olivier Galibert]

-netlist_sound: Fix sound_assert in debug builds [AJR]

New working clones
------------------
Painter (hack of Crush Roller) [Lorenzo Fongaro]

-aristmk5.cpp: added a couple of alternate versions of the setchips [Roberto Fresca]

-taitosj.cpp: added a note about a bootleg of Jungle King [Ivan Vangelista]

-taitosj: Fix collisions, fixes MT#7000 [Olivier Galibert]

-gameplan: Fix videoram readback, fixes MT#3067 [Olivier Galibert]

-First pass at Apple IIgs software list overhaul (#8120) [Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Balance of Power: The 1990 Edition (IIgs) [4am, Firehawke]
Bridge 6.0 (Version 2.49B) (IIgs) [4am, Firehawke]
Questron II (Version 1.1) (IIgs) [4am, Firehawke]
Reach for the Stars (IIgs) [4am, Firehawke]
Roadwar 2000 (IIgs) [4am, Firehawke]
Superstar Ice Hockey (IIgs) [4am, Firehawke]
Life and Death (IIgs) [4am, Firehawke]
Tetris (IIgs) [4am, Firehawke]
LaserForce (IIgs) [4am, Firehawke]
Arkanoid II: Revenge of Doh (IIgs) [4am, Firehawke]
Bubble Ghost (IIgs) [4am, Firehawke]
Déjà Vu (IIgs) [4am, Firehawke]
Hacker II (IIgs) [4am, Firehawke]
Destroyer (IIgs) [4am, Firehawke]
GBA Championship Basketball (IIgs) [4am, Firehawke]
Jigsaw (IIgs) [4am, Firehawke]
Mini-Putt (IIgs) [4am, Firehawke]
Omega (IIgs) [4am, Firehawke]
Photonix (Version 1.46) (IIgs) [4am, Firehawke]
Silpheed (IIgs) [4am, Firehawke]
Space Quest (IIgs) [4am, Firehawke]
The Third Courier (IIgs) [4am, Firehawke]
War in Middle Earth (IIgs) [4am, Firehawke]
Where in the World is Carmen Sandiego? (IIgs) [4am, Firehawke]
Windwalker (IIgs) [4am, Firehawke]
Warlock (IIgs) [4am, Firehawke]
Winter Games (IIgs) [4am, Firehawke]
Shanghai (IIgs) [4am, Firehawke]
Police Quest (IIgs) [4am, Firehawke]
Dragon Wars (IIgs) [4am, Firehawke]
Monte Carlo (IIgs) [4am, Firehawke]
Sub Battle Simulator (IIgs) [4am, Firehawke]
John Elway's Quarterback (IIgs) [4am, Firehawke]
Space Quest II (IIgs) [4am, Firehawke]
King's Quest III (IIgs) [4am, Firehawke]
Great Western Shootout (IIgs) [4am, Firehawke]
Leisure Suit Larry in the Land of the Lounge Lizards (IIgs) [4am, Firehawke]
The Black Cauldron (IIgs) [4am, Firehawke]
The King of Chicago (IIgs) [4am, Firehawke]
King's Quest IV: The Perils of Rosella (IIgs) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Mean 18 [4am, Firehawke]
Hover Blade [4am, Firehawke]
Fast Break [4am, Firehawke]
Halls of Montezuma [4am, Firehawke]
Star Saga: Two - The Clathran Menace [4am, Firehawke]
Club Backgammon [4am, Firehawke]
Beyond Zork: The Coconut of Quendor (Revision 57 / 871221) [4am, Firehawke]
2088: The Cryllan Mission - The Second Scenario [4am, Firehawke]
Defender of the Crown [4am, Firehawke]
Skate or Die [4am, Firehawke]
Street Sports Soccer [4am, Firehawke]
Out of this World [4am, Firehawke]
Thexder (Version 2.7) [4am, Firehawke]
Tunnels of Armageddon (Version 1.0) [4am, Firehawke]

-Fix for MT#05385: downtown hiscore table is r/w from protection area (#8155) [Angelo Salese]

-New working clones (#8141) [ClawGrip]

New working clones
------------------
Crazy Kong (SegaSA / Sonic bootleg) [Juan Romero, ClawGrip]

-m68kfpu: implement FGETMAN and FSINCOS. Photoshop 3.0 starts & loads pictures now. (GitHub #8109) [R. Belmont]

-m68kfpu: fix missing break statements [R. Belmont]

-Fix clang error: fallthrough annotation does not directly precede switch label [AJR]

-exidy.cpp: redumped spectar1, confirmed 2 PROMs, the third was missing [Siftware]

-mermaid: limit the size of the masking effect [Olivier Galibert]

-skylncr.cpp: very minor start at descrambling superb2k [Ivan Vangelista]

-naomi: add a new device for the Sega 837-14438 "SH I/O BD" hopper board [yz70s]

-Move guttangt to newer galaxian driver, promote to working. (#8151) [David Haywood]
 * Moved guttangt from galaxold.cpp to galaxian.cpp.
 * Improved graphics, and inputs.

clones promoted to WORKING
--------------------------
Guttang Gottong (bootleg on Galaxian type hardware) [David Haywood]

-phoenix.cpp: 'pleiadss' is from Famaresa [Museo del Recreativo]

-Added alphatrob to mame.lst [Robbbert]

New working clones
------------------
Gals Panic S - Extra Edition (Korea) [coolmod]

-Big cgenie cassette softwarelist update [Dirk Best, everygamegoing.com]

New working software list additions
-----------------------------------
Character Generator/Editor [Dirk Best]
Machine Monitor (?) [Dirk Best]
M/C Tape Copier [Dirk Best]
Orgel [Dirk Best]
Super Gen v2 [Dirk Best]
The Word 1.2 [Dirk Best]
Colour Emu 3.0 Welcome Tape [Dirk Best]
Colours [Dirk Best]
Invader Demo [Dirk Best]
Line Drawing [Dirk Best]
Magic Carpet Demo [Dirk Best]
PSG-Demo [Dirk Best]
Top of the World Music Demo [Dirk Best]
3D Haunted House [Dirk Best]
A10 Bomber [Dirk Best]
Airaid [Dirk Best]
Alien Attack [Dirk Best]
Aliens [Dirk Best]
Backgammon [Dirk Best]
Bang Bang [Dirk Best]
Bak-Pak [Dirk Best]
Blastaroids [Dirk Best]
Chomper [Dirk Best]
Colour Genie Chess [Dirk Best]
Colour Frog [Dirk Best]
Colour Genie Pontoon [Dirk Best]
Colour Qix [Dirk Best]
Colour Schach (TCS, 16k) [Dirk Best]
Colour Quest 1: Find the Diamond of Balmarlon [Dirk Best]
Colour Quest 2: The Vegan Incident [Dirk Best]
Colour Quest 3: Enchanted Gardenss [Dirk Best]
Colour Quest 4: Camelot Adventure [Dirk Best]
Colour Quest 4: Camelot Adventure (Marcos Software) [Dirk Best]
Colour Quest 6: Fishing Quest [Dirk Best]
Demon Derby [Dirk Best]
Defender [Dirk Best]
Eliminator (Gumboot) [Dirk Best]
Flying Bytes [Dirk Best]
Galactic Attack (Joystick) [Dirk Best]
Galactic Attack (Keyboard) [Dirk Best]
Geniepede [Dirk Best]
Gobble Garden [Dirk Best]
Gorilla [Dirk Best]
Gotya [Dirk Best]
Grabit [Dirk Best]
Grand Prix [Dirk Best]
Hektik (English) [Dirk Best]
Hero Run [Dirk Best]
Intellegent Games Boards [Dirk Best]
Invaders from Space [Dirk Best]
Jackpot [Dirk Best]
Jumbo [Dirk Best]
Kong [Dirk Best]
Mad Driver [Dirk Best]
Madventure 2: Shipwreck [Dirk Best]
Mampf Man II (alt) [Dirk Best]
Martian Rescue [Dirk Best]
Mauer [Dirk Best]
Maze Chaser [Dirk Best]
Meteor (32k) [Dirk Best]
Millipede [Dirk Best]
Mysterious Adventures No. 1: The Golden Baton [Dirk Best]
Mysterious Adventures No. 2: The Time Machine [Dirk Best]
Mysterious Adventures No. 3: Arrow of Death (Pt. 1) [Dirk Best]
Mysterious Adventures No. 6: Circus [Dirk Best]
Numbers Up Shoot Out [Dirk Best]
Palace of Ming [Dirk Best]
Panik [Dirk Best]
Plato [Dirk Best]
Point Chase [Dirk Best]
Protheus Schach [Dirk Best]
Puckman [Dirk Best]
Punktejagd [Dirk Best]
Punter [Dirk Best]
Q*Man [Dirk Best]
Quandry [Dirk Best]
Quasimodo [Dirk Best]
Racing Driver [Dirk Best]
Skramble (new parent) [Dirk Best]
Soft-Bandit [Dirk Best]
Space Shares [Dirk Best]
Spell A Picture [Dirk Best]
Snake Snatch [Dirk Best]
Star Trek [Dirk Best]
Stockmarket Simulation [Dirk Best]
Swag! [Dirk Best]
Tausendfuss (new parent) [Dirk Best]
Terry's Travels [Dirk Best]
Tron [Dirk Best]
Unknown Chase Game [Dirk Best]
Unknown Game by S. J. Sole [Dirk Best]
Vier Gewinnt [Dirk Best]
Vortex [Dirk Best]
What's My Rhyme [Dirk Best]
Wordy [Dirk Best]
Zalaga (new parent) [Dirk Best]

New NOT_WORKING software list additions
---------------------------------------
Die Berliner Uhr [Dirk Best]
Plotter 2.5 [Dirk Best]
Shaper: Shape Table Editor [Dirk Best]
Numbers Up Shoot Out (Alt) [Dirk Best]
Racing [Dirk Best]
Roulette [Dirk Best]
Tarnsman of Gor [Dirk Best]
To Hell And Back [Dirk Best]

-galaxold.cpp: Fixed rockclim sprite bank select. (#8164) [David Haywood]

-c140: correct offset range when reading keyon status [dink]

-c140: c219 has less voice regs, don't call c140_r [hap]

New working clones
------------------
Armadillo Racing (Rev. AM2 Ver.A, World) [Phil Bennett, Ryan Holtz, Bill D., Brian Troha, The Dumping Union]

-legionna.cpp: Fixed several incorrect DIP switches and added diplocs to all games. [Guru]

-aristmk5.cpp: added fake suffix to the 4.02.04 setchip ROM labels, so that ROM managers don't complain [Ivan Vangelista]

-galaxian.cpp: Started splitting up the state class to encapsulate game-specific stuff. (#8168) [Vas Crabb]

New working software list additions
-----------------------------------
mbee_flop: [Robbbert]
56k [Robbbert]
56k_master_91 [Robbbert]
56k_sys [Robbbert]
56k_system_master_84_01 [Robbbert]
56k_system_master_early [Robbbert]
64kmaster [Robbbert]
64k_premium_master [Robbbert]
64k_premium_system_disk [Robbbert]
64k_zcpr1.6 [Robbbert]
128k boot disk (set 1) [Robbbert]
128k boot disk (set 2) [Robbbert]
128k Premium Master 1986/07 [Robbbert]
128k Premium Master Early [Robbbert]
128k Premium Starter 1986/07 [Robbbert]
128k Premium System 1988/03 [Robbbert]
128k Starter Disk [Robbbert]
128k Turbodisk II (set 2) [Robbbert]
128kp Premium System 1988/03 [Robbbert]
128kp_master (set 1) [Robbbert]
128kp_master (set 2) [Robbbert]
128kp_starter [Robbbert]
128ks [Robbbert]
128ks_master [Robbbert]
128ks_swedish_boot [Robbbert]
128ks_utility [Robbbert]
128k_swedish_boot_disk [Robbbert]
128k_system_master_35 [Robbbert]
256tc_diagnostics [Robbbert]
256tc_intro [Robbbert]
256tc_system_disk_rel1_1987 [Robbbert]
256tc_system_disk_rel2_1987 [Robbbert]
256tc_system_disk_rel3_1988/06 [Robbbert]
256tc_system_disk_rel4_1988/09 [Robbbert]
256tc_system_master [Robbbert]
256tc_utility_disk_rel2 [Robbbert]
2 Golf Games [Robbbert]
3 Golf Games t01 [Robbbert]
3 Golf Games t04 [Robbbert]
Advanced (touch) Typing Tutor [Robbbert]
Adventure Games #1 [Robbbert]
Adventure Games (set 1) [Robbbert]
Adventure Games (set 2) [Robbbert]
adventure1 [Robbbert]
adventure_13 [Robbbert]
adventure_14 [Robbbert]
Agricultural Studies [Robbbert]
Air Track t01 [Robbbert]
Air Track t04 [Robbbert]
Air_Track [Robbbert]
Alan's Adventure's Disk 2 (set 1) [Robbbert]
Alan's Adventure's Disk 2 (set 2) [Robbbert]
Alan's Adventure's Disk 3 (set 1) [Robbbert]
Alan's Adventure's Disk 3 (set 2) [Robbbert]
Alan's Adventure's Disk 4 (set 1) [Robbbert]
Alan's Adventure's Disk 4 (set 2) [Robbbert]
Alan's Games Disk 4 [Robbbert]
Arcade Games 1 [Robbbert]
Arcade Games 1 t01 [Robbbert]
Arcade Games 1 t04 [Robbbert]
Arcade Games 2 t01 [Robbbert]
Arcade Games 2 t03 [Robbbert]
Arcade Games 2 t04 [Robbbert]
Arcade Games 3 [Robbbert]
Arcade Games 4 t03 [Robbbert]
Art Auction [Robbbert]
Australia 2020 [Robbbert]
Australiana Quiz Game [Robbbert]
Basic Games 05 [Robbbert]
Battleship [Robbbert]
Bee Casino t01 [Robbbert]
Bee Casino t04 [Robbbert]
Bee Draw 1.0 [Robbbert]
Bee Scientist 1 t01 [Robbbert]
Bee Scientist 1 t04 [Robbbert]
Beenet [Robbbert]
Beesware Word Study [Robbbert]
Beetalker and Beethoven demo [Robbbert]
Bennett Data Multiplexer Buzznet III v1.3 (set 1) [Robbbert]
Bennett Data Multiplexer Buzznet III v1.3 (set 2) [Robbbert]
Bennett Data Multiplexer Communications Programme master demo [Robbbert]
Bernie Nichols Educational Graphics [Robbbert]
Bernie Nichols Language Arts [Robbbert]
Bernie Nichols Reading Programs [Robbbert]
Bernie Nichols Science and Miscellaneous [Robbbert]
Bernie Nichols Spelling Programs [Robbbert]
Biological Science [Robbbert]
Birds of Antarctica [Robbbert]
Bondwell Speech [Robbbert]
Brian Howarths Mystery Adventures [Robbbert]
Bushwalking Adventure [Robbbert]
Business and Home Database [Robbbert]
Buzznet 3.4 [Robbbert]
Buzznet iii Demo Disk [Robbbert]
bwmod [Robbbert]
C.A.Sinclair Educational Disk [Robbbert]
Carefile v1.3 [Robbbert]
Cashbook_v2.1 (set 1) [Robbbert]
Cashbook_v2.1 (set 2) [Robbbert]
Cheryl Goding Demo Disk [Robbbert]
ChickenMan's Adventure's Disk 10 [Robbbert]
ChickenMan's Adventure's Disk 11 [Robbbert]
ChickenMan's Adventure's Disk 12 [Robbbert]
ChickenMan's Adventure's Disk 15 [Robbbert]
ChickenMan's Adventure's Disk 16 [Robbbert]
ChickenMan's Adventure's Disk 18 [Robbbert]
ChickenMan's Adventure's Disk 19 [Robbbert]
ChickenMan's Adventure's Disk 2 [Robbbert]
ChickenMan's Adventure's Disk 20 [Robbbert]
ChickenMan's Adventure's Disk 21 [Robbbert]
ChickenMan's Adventure's Disk 22 [Robbbert]
ChickenMan's Adventure's Disk 23 [Robbbert]
ChickenMan's Adventure's Disk 24 [Robbbert]
ChickenMan's Adventure's Disk 25 [Robbbert]
ChickenMan's Adventure's Disk 26 [Robbbert]
ChickenMan's Adventure's Disk 27 [Robbbert]
ChickenMan's Adventure's Disk 28 [Robbbert]
ChickenMan's Adventure's Disk 29 [Robbbert]
ChickenMan's Adventure's Disk 3 [Robbbert]
ChickenMan's Adventure's Disk 30 [Robbbert]
ChickenMan's Adventure's Disk 4 [Robbbert]
ChickenMan's Adventure's Disk 5 [Robbbert]
ChickenMan's Adventure's Disk 6 [Robbbert]
ChickenMan's Adventure's Disk 7 [Robbbert]
ChickenMan's Adventure's Disk 8 [Robbbert]
ChickenMan's Adventure's Disk 9 [Robbbert]
ChickenMan's Games Demo Disc [Robbbert]
Chickenman's Games Disk 2 (set 2) [Robbbert]
Chickenman's Games Disk 4 (set 1) [Robbbert]
Chickenman's Games Disk 4 (set 2) [Robbbert]
Chickenman's Games Disk 5 (set 1) [Robbbert]
Chickenman's Games Disk 5 (set 2) [Robbbert]
Chickenman's Games Disk 8 [Robbbert]
Chickenman's Games Disk 9 (set 1) [Robbbert]
Chickenman's Games Disk 9 (set 2) [Robbbert]
Chickman's Games Disk 2 (set 1) [Robbbert]
Chip8 v2.3 [Robbbert]
Christmas Carols t04 [Robbbert]
CIAB boot menu [Robbbert]
CIAB Double-sided Master [Robbbert]
CIAB menu sample [Robbbert]
CIAB System Master [Robbbert]
CIAB System Master 1985/03 [Robbbert]
CIAB System Master 1986/02 [Robbbert]
Citadel of Chaos v2.01 [Robbbert]
Cloze Exercises [Robbbert]
Colossal Cave [Robbbert]
Colour Sampler 1 [Robbbert]
Commsoft Roots/M [Robbbert]
Complete Scott Adams Original Adventures [Robbbert]
Composer Bee Plus [Robbbert]
Comprobe 1.00 [Robbbert]
cpm3_61k (set 1) [Robbbert]
cpm3_61k (set 10) [Robbbert]
cpm3_61k (set 2) [Robbbert]
cpm3_61k (set 3) [Robbbert]
cpm3_61k (set 4) [Robbbert]
cpm3_61k (set 5) [Robbbert]
cpm3_61k (set 6) [Robbbert]
cpm3_61k (set 7) [Robbbert]
cpm3_61k (set 8) [Robbbert]
cpm3_61k (set 9) [Robbbert]
cpm3_dri (set 1) [Robbbert]
cpm3_dri (set 10) [Robbbert]
cpm3_dri (set 2) [Robbbert]
cpm3_dri (set 3) [Robbbert]
cpm3_dri (set 4) [Robbbert]
cpm3_dri (set 5) [Robbbert]
cpm3_dri (set 6) [Robbbert]
cpm3_dri (set 7) [Robbbert]
cpm3_dri (set 8) [Robbbert]
cpm3_dri (set 9) [Robbbert]
cpm3_y2k (set 1) [Robbbert]
cpm3_y2k (set 10) [Robbbert]
cpm3_y2k (set 2) [Robbbert]
cpm3_y2k (set 3) [Robbbert]
cpm3_y2k (set 4) [Robbbert]
cpm3_y2k (set 5) [Robbbert]
cpm3_y2k (set 6) [Robbbert]
cpm3_y2k (set 7) [Robbbert]
cpm3_y2k (set 8) [Robbbert]
cpm3_y2k (set 9) [Robbbert]
Cricket t01 [Robbbert]
Cricket t04 [Robbbert]
Crossword Capers [Robbbert]
Cunning Running [Robbbert]
D.Heym Common Fractions [Robbbert]
D.Heym Counting Numbers [Robbbert]
D.Heym Directed Numbers [Robbbert]
D.Heym Number Lines [Robbbert]
D.Heym Various [Robbbert]
databuzz_beenet_version [Robbbert]
David Ahls Adventures [Robbbert]
DBase II (backup) [Robbbert]
Demonstration Disk t02 [Robbbert]
Denham 1 [Robbbert]
Denham 2 [Robbbert]
Denham 3 [Robbbert]
Denham 4 [Robbbert]
Denham Easy Stats [Robbbert]
Denham Kings Trees Aces [Robbbert]
Disk Beecomposer [Robbbert]
Disk Cataloger [Robbbert]
Disk Test v3.9 [Robbbert]
Doodle Draw v1.1 [Robbbert]
Dragon Spells [Robbbert]
Dungeons of Khan [Robbbert]
Early Word v1.3 [Robbbert]
education_01 [Robbbert]
education_02 [Robbbert]
education_03 [Robbbert]
education_04 [Robbbert]
education_05 [Robbbert]
education_06 [Robbbert]
education_07 [Robbbert]
education_08 [Robbbert]
education_09 [Robbbert]
education_1 [Robbbert]
education_10 [Robbbert]
education_11 [Robbbert]
education_12 [Robbbert]
education_3 [Robbbert]
education_4 [Robbbert]
education_5 [Robbbert]
education_6 [Robbbert]
education_7 [Robbbert]
education_8 [Robbbert]
education_9 [Robbbert]
Electric Paintbrush Slide Show [Robbbert]
electric_paintbrush_chalkboard_1.01 [Robbbert]
electric_paintbrush_fonts [Robbbert]
electric_paintbrush_mouse_1.22 [Robbbert]
empty_ciab_sys [Robbbert]
English [Robbbert]
EPSGmod Files [Robbbert]
Extended Turtle 4.3p [Robbbert]
Extended Turtle 4.6p [Robbbert]
Family Favourites t03 [Robbbert]
Family Favourites t04 [Robbbert]
Family Games 1 t01 [Robbbert]
Family Games 1 t03 [Robbbert]
Family Games 1 t04 [Robbbert]
Faust Adventure [Robbbert]
Filemaster v2 [Robbbert]
First Fleet (set 1) [Robbbert]
First Fleet (set 2) [Robbbert]
First Fleet (set 3) [Robbbert]
First Fleet (set 4) [Robbbert]
Fortris [Robbbert]
FTL Modula2 disk1 [Robbbert]
FTL_Modula2 disk2 [Robbbert]
FTL_Modula2 disk3 [Robbbert]
Games from Wildcards Vol 1,2,3,4 [Robbbert]
Games2 [Robbbert]
Geograbee [Robbbert]
Geography 1 [Robbbert]
Geography 2 [Robbbert]
Geography 3 [Robbbert]
Getting to know your Microbee [Robbbert]
Ghost Muncher / Kilopede [Robbbert]
Gold-dust Island [Robbbert]
Goodison Demo [Robbbert]
Goodison Education 1 [Robbbert]
Goodison Education 2 [Robbbert]
Goodison Education 3 [Robbbert]
Goodison Mathematics [Robbbert]
Goodison Speed Reading [Robbbert]
Goodison Spelling [Robbbert]
Goodison Words [Robbbert]
Graphic Adventures 1 t01 [Robbbert]
Graphic Adventures 1 t04 [Robbbert]
Greybeard Tape Files (set 1) [Robbbert]
Greybeard Tape Files (set 2) [Robbbert]
Hangman [Robbbert]
Hiplot [Robbbert]
Hoards of the Deep Realm 1.0 (set 1) [Robbbert]
Hoards of the Deep Realm 1.0 (set 2) [Robbbert]
Hoards of the Deep Realm 1.1 (set 1) [Robbbert]
Hoards of the Deep Realm 1.1 (set 2) [Robbbert]
Hoards of the Deep Realm 11t (set 1) [Robbbert]
Hoards of the Deep Realm 11t (set 2) [Robbbert]
Home Economics [Robbbert]
Honeysoft Arcade Games Vol II [Robbbert]
Honeysoft Demo Disk [Robbbert]
Honeysoft Demo Disk t04 [Robbbert]
Honeysoft Microbee Adventures Vol Three (set 1) [Robbbert]
Honeysoft Microbee Adventures Vol Three (set 2) [Robbbert]
Honeysoft Microbee Adventures Vol Two (set 1) [Robbbert]
Honeysoft Microbee Adventures Vol Two (set 2) [Robbbert]
Honeysoft Microbee Text Adventures Vol One (set 1) [Robbbert]
Honeysoft Microbee Text Adventures Vol One (set 2) [Robbbert]
Icon Editor v1.4 [Robbbert]
impact_media_shareware_d1 [Robbbert]
impact_media_shareware_d2 [Robbbert]
Information Express v1.2 [Robbbert]
Isbok Adventure [Robbbert]
Jewels of Sancara Island [Robbbert]
JHBeesware 2 [Robbbert]
JHBeesware 3 [Robbbert]
JHBeesware1 [Robbbert]
Job Option Bank v4.52 [Robbbert]
Joystick Games 1 t03 [Robbbert]
Joystick Games 1 t04 [Robbbert]
Kids Pack 1 t03 [Robbbert]
Kids Pack 1 t04 [Robbbert]
Kids Pack 2 t03 [Robbbert]
Label Generator Program [Robbbert]
Learning Can Be Fun more t01 [Robbbert]
Learning Can Be Fun more t03 [Robbbert]
Learning Can Be Fun more t04 [Robbbert]
Learning Can Be Fun numbers t01 [Robbbert]
Learning Can Be Fun numbers t04 [Robbbert]
Learning Can Be Fun Words and Numbers t04 [Robbbert]
Learning Can Be Fun words t01 [Robbbert]
Leisure Suit Larry [Robbbert]
Let's Go Punting (set 1) [Robbbert]
Let's Go Punting (set 2) [Robbbert]
Lets Eat Worms [Robbbert]
Machine-Code and Basic Tutorials [Robbbert]
Manual Arts [Robbbert]
Mathematics #1 [Robbbert]
Mathematics #2 [Robbbert]
Melbourne to Hobart Yacht Race Simulation [Robbbert]
Membership Maintenance System v1.30 [Robbbert]
Menu of Arcade Games (set 1) [Robbbert]
Menu of Arcade Games (set 2) [Robbbert]
Menu of Arcade Games (set 3) [Robbbert]
Menu of Arcade Games (set 4) [Robbbert]
Menu of Games 7 [Robbbert]
Menu of games and other programs (set 1) [Robbbert]
Menu of games and other programs (set 2) [Robbbert]
Menu of games and others on Disk #3 (set 1) [Robbbert]
Menu of games and others on Disk #3 (set 2) [Robbbert]
Menu of Games Disk #1 (set 1) [Robbbert]
Menu of Games Disk #1 (set 2) [Robbbert]
Menu of Games on Disk (set 1) [Robbbert]
Menu of Games on Disk (set 2) [Robbbert]
Micro Defender [Robbbert]
Microbear Public Domain [Robbbert]
Microbee Arcade Games #1 [Robbbert]
Microbee Arcade Games #2 [Robbbert]
Microbee Lines v0.1 [Robbbert]
Micropen 1.0 [Robbbert]
Microspace Invaders II [Robbbert]
Milestone 1.09 [Robbbert]
Millionwaire 3.0 (set 1) [Robbbert]
Millionwaire 3.0 (set 2) [Robbbert]
MMD Educational [Robbbert]
mouse_bios9 [Robbbert]
MUGWA Amateur Radio programs [Robbbert]
MUGWA Beeforth [Robbbert]
MUGWA boot disk [Robbbert]
MUGWA dbase_001 [Robbbert]
MUGWA dbase_002 [Robbbert]
MUGWA dbase_a_001 [Robbbert]
MUGWA dbase_a_002 [Robbbert]
MUGWA dbase_a_003 [Robbbert]
MUGWA dbase_a_004 [Robbbert]
MUGWA dbase_a_005 [Robbbert]
MUGWA macro_001 [Robbbert]
MUGWA paslib2_000 [Robbbert]
MUGWA rom_pak [Robbbert]
MUGWA Small-C [Robbbert]
Musicraft [Robbbert]
Musicraft [Robbbert]
Nanoc the Destroyer / Jumpman (set 1) [Robbbert]
Nanoc the Destroyer / Jumpman (set 2) [Robbbert]
Nanoc the Destroyer II / Freedom Fighter / Missile Dodger (set 1) [Robbbert]
Nanoc the Destroyer II / Freedom Fighter / Missile Dodger (set 2) [Robbbert]
Nanoc's Revenge [Robbbert]
Nemesis 1.2 [Robbbert]
Nemesis Dungeon Master [Robbbert]
Networked Educational 1 [Robbbert]
Networked Educational 2 [Robbbert]
Networked Educational 3 [Robbbert]
Number Line Set [Robbbert]
One World Countries Database 1.01 [Robbbert]
ORAC Explorers [Robbbert]
ORAC Scientists 1 v3.1 [Robbbert]
Our World t02 [Robbbert]
Our World t04 [Robbbert]
Pascals Triangle Set [Robbbert]
PAWcomp Adventure compiler [Robbbert]
Penguin Book of Microbee Games [Robbbert]
Penny Arcade t02 [Robbbert]
Penny Arcade t03 [Robbbert]
Penny Arcade t04 [Robbbert]
Peter Broughton v1.1 [Robbbert]
Peter Broughton v1.2 [Robbbert]
Peter Broughton v2.0pre deepdene [Robbbert]
Peter Broughton v2.2 [Robbbert]
Peter Broughton v2.2p 1of2 (set 1) [Robbbert]
Peter Broughton v2.2p 1of2 (set 2) [Robbbert]
Physical Science [Robbbert]
Plan80 v2.4 [Robbbert]
Poster Disk 1987 [Robbbert]
Premium Beeartistic 1.30 [Robbbert]
premium1 [Robbbert]
premium2 [Robbbert]
Primary Rime Lessons [Robbbert]
Primary Teachers Rollbook [Robbbert]
Printmaster 1.0 [Robbbert]
Printmaster 1.10a [Robbbert]
Printmaster Graphics Editor [Robbbert]
Printmaster Plus 1.46 [Robbbert]
R.A.C.E.R. [Robbbert]
Raft-away River [Robbbert]
Random Basic games [Robbbert]
Research Logo 1.0 [Robbbert]
Research Logo 1.0a [Robbbert]
Research Logo 1.0a+ [Robbbert]
Richard Larkins Games [Robbbert]
Scavenger Hunt [Robbbert]
Science Tutorial 1 t01 [Robbbert]
Science Tutorial 1 t02 [Robbbert]
Science Tutorial 1 t04 [Robbbert]
Science Tutorial 2 t01 [Robbbert]
Science Tutorial 2 t04 [Robbbert]
Selection Menu (set 1) [Robbbert]
Selection Menu (set 2) [Robbbert]
Sheep-dog Trial [Robbbert]
Simon Gerraty 80/40 Track Bios 4.2b (set 1) [Robbbert]
Simon Gerraty 80/40 Track Bios 4.2b (set 2) [Robbbert]
Simple and Compound Interest [Robbbert]
Simple Business Graphics [Robbbert]
Simply DB 1.20c [Robbbert]
Simply DB 2.02 [Robbbert]
Simply Write Font Editor v2.04 [Robbbert]
Simply Write v2.04 [Robbbert]
Simply Write v3.02 [Robbbert]
Simply Write v3.03 [Robbbert]
Sketch Pad [Robbbert]
Smart Model Controller v1.12m [Robbbert]
Smartkey v1.1a [Robbbert]
SMUG 02 [Robbbert]
SMUG Tape Library [Robbbert]
Social Science [Robbbert]
Social Studies Oracle t03 [Robbbert]
Social Studies Oracle t04 [Robbbert]
Social Studies t01 [Robbbert]
Social Studies t04 [Robbbert]
Springboard Clipart [Robbbert]
Storymaker 128k [Robbbert]
Storymaker 256tc [Robbbert]
Strategic Games 1 t01 [Robbbert]
Strategic Games 1 t03 [Robbbert]
Strategic Games 1 t04 [Robbbert]
Survivor [Robbbert]
swedish_128k_boot_disk [Robbbert]
Sword Quest / Microspace Invaders II / The Valley / Caves [Robbbert]
Sydney Approach [Robbbert]
Takeover: warriors against the world [Robbbert]
Tantrix [Robbbert]
Technical Drawing t01 [Robbbert]
Technical Drawing t04 [Robbbert]
Telcom 2.0/2.2 (for 64k) [Robbbert]
Telcom 3.0 Upgrade (for 128k/256tc) [Robbbert]
The Mob From Evil [Robbbert]
The Mob From Evil [Robbbert]
The Winners [Robbbert]
Thunder Road Adventure 1.2 [Robbbert]
Tim Hartnell Adventures [Robbbert]
Timegap-x [Robbbert]
Timetable Blocker 5.1 [Robbbert]
Timetable Manager 4.3 [Robbbert]
Turbo Pascal [Robbbert]
Turbodisk II (set 1) [Robbbert]
turtle [Robbbert]
utilities [Robbbert]
Utility [Robbbert]
Various Scottfree Adventures Disk 17 [Robbbert]
Venture Writer 2.1 [Robbbert]
Viatel Upgrade v1.3a [Robbbert]
Viper [Robbbert]
Visual Programming t03 [Robbbert]
Wanderer [Robbbert]
Wavplay 2.3 [Robbbert]
Ways We Were [Robbbert]
WDPROC - Word Processing Package [Robbbert]
Word Puzzles [Robbbert]
Wordgraph A, v02 [Robbbert]
Wordgraph A, v04 [Robbbert]
Wordstar 3.3 [Robbbert]
Wordstar 4.0 [Robbbert]
wordstar v3.3 1of2 [Robbbert]
Wordstar v3.3 2of2 [Robbbert]
Zeephon [Robbbert]
zpm3_61k (set 1) [Robbbert]
zpm3_61k (set 2) [Robbbert]
zpm3_61k (set 3) [Robbbert]
zpm3_61k (set 4) [Robbbert]
zpm3_61k (set 5) [Robbbert]
zpm3_y2k (set 1) [Robbbert]
zpm3_y2k (set 2) [Robbbert]
zpm3_y2k (set 3) [Robbbert]
zpm3_y2k (set 4) [Robbbert]
zpm3_y2k (set 5) [Robbbert]

-ipf: Wrap the decoding state in a sub-structure [Olivier Galibert]

-mac_hdflop.xml: second batch of additions, rename clarisw20sv [r09]
 * Renamed "ClarisWorks 2.0 (Swedish)" to "ClarisWorks 3.0Sv1 (Swedish)", the version number was incorrect

New working software list additions
-----------------------------------
Apple Network Administration Toolkit 1.0 [WinWorld]
Apple Network Administration Toolkit 1.0 Updates [WinWorld]
Apple Network Administration Toolkit 2.0 Updates [WinWorld]
Claris Organizer 2.0v1 [WinWorld]
ClarisWorks 2.0CDv1 (UK English) [WinWorld]
ClarisWorks 3.0CDv1 (UK English) [WinWorld]
ClarisWorks 4.0v4 (US English) [WinWorld]
ClarisWorks 4.0Sv1 (Swedish) [WinWorld]
FoxBASE+/Mac 2.00 [WinWorld]
FrameMaker 4.0.2 [WinWorld]
FrameMaker 5.0 [WinWorld]
Microsoft Excel 5.0 (German) [WinWorld]
Microsoft Excel 5.0a (US English) [WinWorld]
Microsoft FoxPro 2.5c (French) [WinWorld]
Microsoft FoxPro 2.5c (German) [WinWorld]
Microsoft Office 4.2 (Australian English) [WinWorld]
Microsoft Office 4.2 (Danish) [WinWorld]
Microsoft Office 4.2 (Dutch) [WinWorld]
Microsoft Office 4.2 (French) [WinWorld]
Microsoft Office 4.2 (Italian) [WinWorld]
Microsoft Office 4.2 (Norwegian) [WinWorld]
Microsoft Office 4.2 (Swedish) [WinWorld]
Microsoft Office 4.2 (US English) [WinWorld]
Microsoft Office 4.2.1 (US English) [WinWorld]
Microsoft Office Manager 4.2 (German) [WinWorld]
Microsoft PowerPoint 3.0b [WinWorld]
Microsoft PowerPoint 4.0 (German) [WinWorld]
Microsoft PowerPoint 4.0 (Italian) [WinWorld]
Microsoft PowerPoint 4.0 (Swedish) [WinWorld]
Microsoft Word 6.0 (Canadian French) [WinWorld]
Microsoft Word 6.0 (Danish) [WinWorld]
Microsoft Word 6.0 (Dutch) [WinWorld]
Microsoft Word 6.0 (French) [WinWorld]
Microsoft Word 6.0 (German) [WinWorld]
Microsoft Word 6.0 (Italian) [WinWorld]
Microsoft Word 6.0 (International English) [WinWorld]
Microsoft Word 6.0 (Japanese) [WinWorld]
Microsoft Word 6.0 (Swedish) [WinWorld]
Microsoft Word 6.0a (Norwegian) [WinWorld]
Norton Utilities for Macintosh 3.1.3 [WinWorld]
Norton Utilities for Macintosh 3.2.1 [WinWorld]
Norton Utilities for Macintosh 3.5.3 [WinWorld]
PlainTalk 1.2.1 [WinWorld]
QuarkXPress 2.11 (French) [WinWorld]
QuarkXPress 3.3 (English) [WinWorld]
Ready, Set, Go! 4.5a [WinWorld]
Symantec C++ for Macintosh 7.0 [WinWorld]
WordPerfect 3.1 [WinWorld]
WordPerfect 3.5 [WinWorld]

New not working software list additions
---------------------------------------
Matlab 4.0 Student Edition [WinWorld]
Microsoft Works 4.0b (Australian English, Power Macintosh upgrade) [WinWorld]
Microsoft Works 4.0b (German, Power Macintosh upgrade) [WinWorld]
Microsoft Works 4.0b (International English, Power Macintosh upgrade) [WinWorld]
Microsoft Works 4.0b (US English, Power Macintosh upgrade) [WinWorld]
SoftWindows 3.0 [WinWorld]

New working software list additions
-----------------------------------
mbee_cart: Pascal [Robbbert]

-emumem: Correct logic in populate_mismatched_nomirror and populate_passthrough_nomirror. This fixes a bug causing watchpoints set
 on portions of the address space exceeding 16K to sometimes not fully cover the range. [AJR]

-chexx.cpp: Note existence of another game on similar HW [AJR]

-m79amb: Modernize interrupt; use raw parameters for screen [AJR]

-mbee: fixed bug with telcom bankswitching. [Robbbert]

-Super A'Can: DMA sample support and corrected sample length (#8160) [Ryan Holtz, Ian Karlsson]

-schick.cpp - fix sound hookup, note some protection checks, attempt to improve graphics (#8153) [David Haywood]
 * schick.cpp - fix sound hookup
 * force a different default palette so that we can see the details on the letter tiles (should make finding the banking easier)
 * protection reads are probably here
 * further protection notes
 * other protection(?) observations
 * remove no longer needed hack
 * more nonsense checks

-nes.xml: add Action 53 based games (#8158) [0kmg]
 * nes.xml: add Action 53 based games

New working software list additions
-----------------------------------
Streemerz - Action 53 Function 16 Volume 1 (R.C.#2) [Damian Yerrick, NESDev]
Double Action 53 Volume 2 (R.C.#2) [Damian Yerrick, NESDev]
Action 53 Vol. 3 - Revenge of the Twins [Damian Yerrick, NESDev]

-action53.cpp: [0kmg]
 * on start up point prg to correct final bank based on cart size
 * allow full 9-bit bank select per the spec
 * switch to shorter type names, u8 etc
   - Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-megadriv.xml: more protos, even more blast processing (#8137) [0kmg]
 * megadriv.xml: more protos, even more blast processing
   - Bio Hazard Battle (prototype) [Modern Vintage Gamer] Ship (visitor prototype) [Modern Vintage Gamer] Disney's Aladdin
      (prototype 19930627) [Hidden Palace] Australian Rugby League (prototype) [Hidden Palace] Captain Lang (prototype) [Hidden
      Palace] Champions World Class Soccer (prototype) [Hidden Palace] College Football USA 96 (prototype 19950621) [Hidden Palace]
      Danny Sullivan's Indy Heat (prototype) (pirate) [Hidden Palace] Dr. Robotnik's Mean Bean Machine (USA, prototype b) [Hidden
      Palace] Dune - The Battle for Arrakis (Euro, prototype 19940111) [Hidden Palace] The Flintstones (Ocean prototype) [Hidden
      Palace] Granada (Jpn, USA, v1.1 prototype) [Hidden Palace] NBA Jam (Apr 1993 prototype) [Hidden Palace] NHLPA Hockey 93 (Euro,
      USA, v1.1 alt) [Hidden Palace] Psycho Pinball (prototype) [Hidden Palace] Putty Squad (early prototype) [Hidden Palace]
      Radical Rex (Euro, prototype) [Hidden Palace] Spirou (Euro, prototype) [Hidden Palace] Street Racer (Euro, prototype 19950321)
      [Hidden Palace] Tintin au Tibet (Euro, prototype) [Hidden Palace] Flux (Euro, prototype 19950425) [Hidden Palace]
   - Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-mbee: make floppy sw-items show up by default. Fixed compatibility for mbeepp. [Robbbert]

-mbee: added optional SN76489A, works with '128pepsgmod' sw-item. [Robbbert]

-ladybug.cpp: Added diplocs [Guru]

-x68k: remove unneeded [cracyc]

New working software list additions
-----------------------------------
super80_cass: [Robbbert]
Crazy Maze [Maxtrix Software]
Crazy Maze (L4) (with arrows) [Matrix Software, Robbbert]

New working software list additions
-----------------------------------
ggm: Morphy Edition - Master Chess [Berger]

-x68k: seems pcg can set it's own vertical freq apart from the crtc [cracyc]

-k037122: Better ram layout logic. Implemented ROZ and scrolling. [Ville Linde]

New working clones
------------------
Ojanko Club (Japan, Program Ver. 1.3, set 2) [system11]

-x68k: treat the nibbles in 8bit color mode as two separate planes [cracyc]

-New skeleton ISA device: Lark Associates LRK-331 ESDI Controller [Bitsavers]

-apple2gs: correct vertical counter readback (GitHub #8156) [R. Belmont, Jeremy Rand]

-audio/gottlieb.cpp: Minor updates to handlers; save some more members [AJR]

-bus/isa: Add header file accidentally omitted from 35f317e0273a229a60318bedf5b1f731612b1d21 [AJR]

-m68kfpu: Support all FSINCOS encodings, fix multiple bugs in FMOVEM. [R. Belmont]

-rx78: improved colours. [Robbbert]

-meritum2: added centronics printer from PR #5854. [Robbbert]

-HD61830: Fix character blink mode [Jaen Saul]
 * When Cursor=Off and Blink=On, the controller is in "Character Blink" mode, according to the data sheet.
 * This means that the character cell at the the position of the cursor is turned fully ON at a 50% blink duty cycle. Verified on a
    device with a real HD61830 (Atari Portfolio).

Software list items promoted to working
---------------------------------------
rx78_cart: Excite Baseball [Robbbert]

-hd6120: Rewrite notes [AJR]

-psikyosh.cpp: Updated commnts based on PCB markings, marked games with MACHINE_NO_COCKTAIL. (#8177) [cam900]
 * because flip screen isn't support now Add docs for ROM location/usage, Export name for daraku Fix fill value for empty ROM area

-inufuku.cpp: Merged */inufuku.* into drivers/inufuku.cpp, minor cleanups. (#8172) [cam900]
 * Removed unnecessary VRAM read trampolines.
 * Use buffered_spriteram16_device for buffered sprite RAM.
 * Derive clocks from crystals.
 * Reduced runtime tag lookups, unnecessary region size.
 * Fix naming, spacing.
 * Use generic graphics layouts, fix color usage of gfxdecode related to palette size.
 * Restrict rowscroll to screen clipping rectangle.

-z80pio: changing the vector neither enables nor causes an interrupt. Fixes crash in mbee256 when F2 pressed. [Robbbert]

-super80_cass: zipzap tapes had no sound, so replaced with working copies. [Robbbert]

-fmtowns: fix missing controller return value and cdda status [cracyc]

-hornet: add controls to thrilldbu [Ville Linde]

-Added helpers for 64-bit count leading zeroes/ones. [Vas Crabb]

-Update default button assignments on Quartet to match control panel (jump button to left of fire button) and Quartet 2 (#8173)
 [Steven Coomber]

-dynadice.cpp: fixed sound regression [Ivan Vangelista]

-segahang.cpp: minor edits to metadata [Ivan Vangelista]

-k037122: remove item from todo list [hap]

-pcxt: fix tetriskr drawing and add sound [cracyc]

-rendlay.cpp: Fix assertion failure with -D_GLIBCXX_ASSERTIONS [AJR]

-hornet: clear interrupts on sound cpu reset [Ville Linde]

-voodoo: fix Hornet games POST crash [Ville Linde]

-rx78: added irq control - fixes most remaining bugs. [Robbbert]

-pcxt: patch program bug [cracyc]

-osd/eigcc.h: Fix 32-bit gcc/clang builds. [Vas Crabb]

-Reworked rockclim driver to be based on galaxian.cpp (was in galaxold.cpp). (#8182) [David Haywood]

-pasha2.cpp: Minor cleanups. (#8136) [cam900]
 * Removed palette RAM trampolines, use XTAL for clock sources, use bitmaps_ind16 and copybitmap for bitmap buffers.

-bus/coco: Added the Dragon MSX 2+, The Dragon's Claw, Peaksoft Prestel, and CoCo WordPak/WordPak II/WordPak RS/WordPak 2+ devices.
 [Nigel Barnes]

New NOT_WORKING software list additions
---------------------------------------
aquarius_cart: C1541 DOS V3.0 [Wido Van Den Heuvel]
dragon_cart: Dragon EPROM Programmer, Prestel, Terminal Simulator [Nigel Barnes]

-bus/coco/coco_wpk: Fix duplicate short name. [Nigel Barnes]

-k037122: added tilemap origin [Ville Linde]

-remove printfs [Ville Linde]

New working machine added (#8189)
---------------------------------
Tronica: Space Mission [algestam]

-decmate2: Add final revision of boot ROMs [Vince Slyngstad]

-hd6120: Prevent PEX from changing AC [AJR]

-mitchell.cpp: fixed MT08007 [Ivan Vangelista]

-mitchell.cpp: added dip switch to some pang bootlegs [Ivan Vangelista]

-rx78: fixed text in senemy. [Robbbert]

-psikyo.cpp: Banpresto was the distributor for Sengoku Ace (#8190) [cam900]

-scripts/mame/arcade.lua: moved Model Racing drivers to separate project [Ivan Vangelista]

-super80_cass: Added some notes. [Robbbert]

-pofo.cpp: Converted keyboard to device. (#8192) [Jaen]
 * Fixes multiple keys being pressed simultaneously.

-pofo.cpp: Atari Portfolio fixes and improvements. (#8191) [Jaen]
 * Fixed RAM expander reads.
 * Implemented magic port 0x61.
 * Fixed external drive B: detection.
 * Improved control register 0x8051 emulation.

-Added galaxian_rockclim to arcade.flt [Robbbert]

-apple3: Support for the Titan "/// Plus II" Apple II emulation card. [R. Belmont]

-pc_vga: updated comment [Robbbert]

-vectrex: updated comment [Robbbert]

-sf2049: remove bogus button4 [hap]

-stv.cpp: added preliminary 7-seg led support for critcrsh [Ivan Vangelista]

-rx78: fixed regression when there's no cart in. [Robbbert]

-mc10.cpp: Converted expansion port to slot device and removed fake machines. (#8184) [tim lindner]

-rx78_cart: new dumps for burger and ultraman, old ones were overdumps. [Robbbert]

-sharc: Cycle-based DMA. Added support for write stalling. [Ville Linde]

-apple2e: Always allow writing to cards in slots 1-3, matches our previous behavior for 4-7. [R. Belmont]

-apple2: some correctness improvements to the Mockingboard support. [R. Belmont]

-nwk-tr: combine CG boards into single screen alternate frame rendering [Ville Linde]

-taitosj - add a postload so that savestates work (#8196) [David Haywood]

-makefile: End the big-endian block in the right place (#8194) [pkubaj]

-juicebox additions [David Haywood, Sean Riddle] (#8146) [David Haywood]
 * New WORKING software list entries juicebox.xml: Teenage Mutant Ninja Turtles Volume 1 (H2692) [Sean Riddle, David Haywood]
    Teenage Mutant Ninja Turtles Episode 36 (H6260) [Sean Riddle, David Haywood] Juicebox Music Video - Avril Lavigne, The Calling,
    Avril Lavigne, Clay Aiken, Ruben Studdard (H6228) [Sean Riddle, David Haywood] Juicebox Music Video - Liz Phair, Stacie Orrico,
    Skye Sweetnam (H2709) [Sean Riddle, David Haywood] Juicebox Music Video - ZOEgirl, Jump5, Jump5, Baha Men, Atomic Kitten (H6232)
    [Sean Riddle, David Haywood] Juicebox Music Video - Baha Men, Jump 5, Jump 5, Beu Sisters, ZOEgirl (H6230A) [Sean Riddle, David
    Haywood] Juicebox Music Video - Ashlee Simpson, The Cure, Vanessa Carlton, fan_3, Ashlee Simpson (H6226) [Sean Riddle, David
    Haywood] Winx Club Volume 1 (H2686) [Sean Riddle, David Haywood] Winx Club Episode 103 (H6258) [Sean Riddle, David Haywood]
    Yu-Gi-Oh! Episode 175 (H8084) [Sean Riddle, David Haywood] Yu-Gi-Oh! Episode 176 (H8143) [Sean Riddle, David Haywood] Vans
    Pipeline Masters Volume 1 (H2690) [Sean Riddle, David Haywood] Streetball Classics Volume 1 (H7416) [Sean Riddle, David Haywood]
    Megas XLR Volume 1 (H2697) [Sean Riddle, David Haywood]

-re-enable SHARC recompiler for Gradius 4 [Ville Linde]

-assorted comment fixes related to missing/bad dumps [Scott Stone]

-another comment fix (space in filename) [Scott Stone]

-fmtowns: slightly change sprite timing and status bits and fix layer offset [cracyc]

-apple2e: PAL/SECAM models now have the correct CPU speed. [R. Belmont]

New working clones
------------------
Silk Worm (bootleg, set 2) [Miss Argent]

-galaxian_rockclim.cpp: demoted to imperfect sound due to missing melody chip emulation [Ivan Vangelista]

-phoenix.cpp, tattack.cpp: added placeholders for missing Epson 7910 dumps [Ivan Vangelista]

-fmtowns: make the timer actually run [cracyc]

-leprechn: Keep VIA clocks consistent with CPU clock [AJR]

-apple2e: match dot clock to CPU clock for PAL machines. [R. Belmont]

-fmtowns: make sure programs can't override the sprite page [cracyc]

-vme: Modernize slot device code and eliminate deprecation warnings; actually propagate slot number [AJR]

-nes_slot: Deprecate some functionality that should really be eliminated [AJR]

-mpc60: Add v1.12 program and voice ROMs [DBWBP]

New machines marked as NOT_WORKING
----------------------------------
LK-3000 [hap, Sean Riddle]

New machines marked as NOT_WORKING
----------------------------------
Yamaha AN1x Control Synthesizer [DBWBP]
Yamaha DX100 Digital Programmable Algorithm Synthesizer [DBWBP]

-dl1616: dl1414 does not have ce pin or addr latch [hap]

-jupace: fixed bug that crashes messui when snapshot used. [Robbbert]

-h8500: Add mode control and EPROM variant types [AJR]

New machines marked as NOT_WORKING
----------------------------------
Yamaha SY35 Music Synthesizer [DBWBP]

New machines marked as NOT_WORKING
----------------------------------
Casio SK-5 [DBWBP]

-adam, bw2, cbm2, newbrain, pet, plus4, pofo, vic10, vic20: Eliminate bus tag macros and legacy lookups; use finder arrays in some
 places [AJR]

-vis: fix video in sherlock homes [cracyc]

New working software list additions (apple2_flop_clcracked.xml) (#8203)
-----------------------------------------------------------------------
Bumble Games (Version 1.3) (cleanly cracked) [4am, san inc., Firehawke]
Reader Rabbit (Version 1.0) (cleanly cracked) [4am, san inc., Firehawke]
Projectile and Circular Motion (cleanly cracked) [4am, Firehawke]
Bumble Plot (Version 1.1) (cleanly cracked) [4am, san inc., Firehawke]
Gertrude's Puzzles (1982 Version) (cleanly cracked) [4am, san inc., Firehawke]
Gertrude's Secrets 1982 (cleanly cracked) [4am, san inc., Firehawke]
Tales of Discovery (cleanly cracked) [4am, san inc., Firehawke]
Advanced Electricity (cleanly cracked) [4am, Firehawke]
Complex Circuits (cleanly cracked) [4am, Firehawke]
PAI Forth (Version 3.0, 12-21-1985) (cleanly cracked) [4am, Firehawke]
Rocky's Boots (Unknown 1982 version) (cleanly cracked) [4am, san inc., Firehawke]
The Prisoner (Version 1.10) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Gin King / Cribbage King [4am, Firehawke]
Revolution '76 (Version June 27, 1989) [4am, Firehawke]
The Print Shop (Version 1.0) [4am, Firehawke]
The Print Shop Companion [4am, Firehawke]
Fantavision [4am, Firehawke]
Cartooners [4am, Firehawke]
Art and Film Director [4am, Firehawke]
Draw Plus (Version 1.1) [4am, Firehawke]
The Graphics Studio [4am, Firehawke]
The Immortal [4am, Firehawke]
TrianGo [4am, Firehawke]
816/Paint (Version 3.1) [4am, Firehawke]
BeagleDraw (Version 1.3) [4am, Firehawke]
DreamGrafix [4am, Firehawke]
Platinum Paint (Version 2.01) [4am, Firehawke]
Paintworks Plus (Version 1.2) [4am, Firehawke]
Paintworks Gold (Version 1.5) [4am, Firehawke]
ImageMaster: Basic Paint (Version 1.2) [4am, Firehawke]
Graphics Supermarket (Version 1.1) [4am, Firehawke]
GraphicWriter III (Version 1.0) [4am, Firehawke]
DeluxePaint II (Version 2.01) [4am, Firehawke]
Stars and Planets [4am, Firehawke]
Mavis Beacon Teaches Typing (Version 1.8) [4am, Firehawke]
Math and Me (Version 1.0 08/01/88) [4am, Firehawke]
SmoothTalker [4am, Firehawke]
Stickybear Shapes [4am, Firehawke]
Tarot [4am, Firehawke]
Full Metal Planete [4am, Firehawke]
Shanghai II: Dragon's Eye [4am, Firehawke]
Music Construction Set (Version 1.0) [4am, Firehawke]
Instant Synthesizer [4am, Firehawke]
Master Tracks Pro (Version 1.04) [4am, Firehawke]
The Music Studio (Version 2.0) [4am, Firehawke]
Jam Session (Version 1.0) [4am, Firehawke]
Pyware Music Writer (Version 2.03) [4am, Firehawke]
Master Tracks Jr. (Version 1.03) [4am, Firehawke]
Salvation Supreme (Version 2.0) [4am, Firehawke]
NoiseTracker (Version 1.0) [4am, Firehawke]
HyperStudio (Version 3.1c) [4am, Firehawke]
Writer's Choice Elite [4am, Firehawke]
WordPerfect (Version 2.1e) [4am, Firehawke]
The Wonders of the Animal Kingdom [4am, Firehawke]
The Word Master [4am, Firehawke]
Read and Rhyme [4am, Firehawke]
Aesop's Fables [4am, Firehawke]
Audubon Wildlife Adventures: Grizzly Bears [4am, Firehawke]
Audubon Wildlife Adventures: Whales [4am, Firehawke]

New working software list additions
-----------------------------------
vsmilem_cart.xml: [ClawGrip]
Nickelodeon Dora La Exploradora - La Aventura Arregla-Todo de Dora (Spain) [TeamEurope, ClawGrip]
Action Mania (USA, alt 1), Action Mania (USA, alt 2), Disney/Pixar Cars - Rev It Up in Radiator Springs (USA), Disney/Pixar Cars 2
  (USA), Disney/Pixar Cars 2 (Pocket version, USA), Nickelodeon Dora the Explorer - Dora's Fix It Adventure (USA), Disney Mickey
  Mouse Clubhouse (alt, USA), DreamWorks Kung Fu Panda - Path of the Panda (USA), NASCAR Academy - Race Car Superstar (alt, USA),
  Scooby-Doo! - Funland Frenzy (USA), Scooby-Doo! - Funland Frenzy (alt, USA) [skaman]

New working software list additions
-----------------------------------
lk3000: Calculator, Electronic Notebook [hap, Sean Riddle]

New NOT_WORKING software list additions
---------------------------------------
lk3000: English-German [hap, Sean Riddle]

-hd61830: fix cursor in d2 [cracyc]

-machine/coco.cpp: Fix for MT 07305 [AJR]

-vis: clear curcount if count is reloaded [cracyc]

-finalap3bl: allow to boot / run (custom bootleg protection) (#8200) [David Haywood]

-Fix reporting of ADPCM-B end-of-sample. Seems to fix MT08006; hopefully will fix other neogeo issues as well. [Aaron Giles]

-galaxian_rockclim.cpp, phoenix.cpp (survival): added dip locations [Guru]

-tattack.cpp: identified all dips and added dip locations [Guru]

-cischeat.cpp: dumped PROMs for bigrun [system11]

-exidy.cpp: removed sound ROMs bad dumps for pepper2 [Ivan Vangelista]

-jackpot.cpp: very preliminary text tilemap hookup, to show on screen where the boot stops [Ivan Vangelista]

-ymfm: Play ADPCM-A samples through the end of the end block inclusive [Aaron Giles]

-Eliminate remaining uses of auto_alloc and friends (#8210) [Aaron Giles]
 * Split off auto_alloc changes from deprecated branch.
 * Make the keymap reader non-static so it can access the unique_ptr.
 * Fix SDL input for real.

-Allow saved states to be deleted from the internal UI. [Vas Crabb]

-cpu/alto2: Fixed allocation widths for decoded ROMs, and removed a bunch of reinterpret_cast. [Vas Crabb]

-Fix building mametest [Miodrag Milanovic]

-Fix building benchmarks [Miodrag Milanovic]

-Fix cross compiling benchmarks [Miodrag Milanovic]

-Remove emualloc.* [AJR]

-emu/ioport.cpp: Preserve configuration for slot cards when not selected. [Vas Crabb]
 * Have you carefully tuned the sensitivity for you Atari 2600 paddles, then realised you have to do it again after you play a
    joystick game and switch back to paddles?  Or are you sick of having to reconfigure your virtual RS232 peripherals every time
    you switch devices?  This will make your life a little easier.

New working clones
------------------
Elegance Chess Challenger (model AS12) [Berger]

-trs80, trs80m3, vtech1: sound-related improvements [Robbbert]

-suna8.cpp: dumped PROM for starfigh [system11]

-tattack.cpp: added save state support [Ivan Vangelista]

-sgi_mips_hdd: Added _hdd suffix to all softlist entries to prevent conflicting with the SGI CD-ROM softlist entries when both are
 present on a local drive. [Ryan Holtz] (#8214) [MooglyGuy]

New machines marked as NOT_WORKING
----------------------------------
Hohner ADAM Advanced Digital/Analog Musical Instrument [DBWBP]

-vis: add memory card device [cracyc]

-more commented rom fixes/changes [Scott Stone]

-hp48: Fix regression from auto_alloc changes. [Aaron Giles]

-Miscellaneous improvements for software lists: [Vas Crabb]
 * Show list name in software selection menu (machines have multiple lists).
 * Actually report software list parsing errors during validation.
 * Check that software list name attribute matches filename.
 * Limit software list names to 24 characters - they're getting too long, and they need to be practical in command lines.
 * c128.cpp: Fix dangling reference to renamed software list.

-emu/ioport.cpp: Slightly better test for deselected slot cards. [Vas Crabb]

-leapfrog_zippity_cart.xml: Move games serial numbers to their own HTML tags [ClawGrip]

-c64_cass.xml: Corrected release years and publishers for a number of entries. (#8198) [Steven Coomber]

-machine/snescx4.cpp: Eliminated reach-around calls to fetch the main CPU in the SNES CX4. (#8213) [Aaron Giles]
 * Only the original address space is needed, there’s no need to pass the machine around.

-Re-worked System 18 Alien Storm bootlegs, put in their own driver to study. (#8212) [David Haywood]
 * This renders the tile strip backgrounds, making them a lot more playable.

-formats/flopimg.cpp: Remove legacy pool allocator usage. (#8216) [Aaron Giles]

-megadriv.xml: add protos + some fixes (#8218) [0kmg]
 * megadriv.xml: add protos + some fixes

New working software list additions
-----------------------------------
Ballz 3D (USA, prototype 199406xx) [HyperGHZ]
Ballz 3D (prototype 199409xx) [ExplodedHamster]
Disney's The Jungle Book (prototype) [Hidden Palace]
Mega Turrican (prototype 19930518) [armadylo]
Michael Jackson's Moonwalker (prototype 19900424) [Landon White]
Taz-Mania (prototype) [stonic]
Wayne Gretzky and the NHLPA All-Stars (prototype 19950217) [Sonik]

-also: [0kmg]
 * fix PCB refdes errors on crydragn
 * move ggroundp and legobatm out of fully documented section
 * minor touch ups
   - Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-vis: fix card comms and crc [cracyc]

-vis: try again to fix the sound [cracyc]

-k001604: Major rewrite and documentation update [Ville Linde]

-pic1670: Fix major string-related bug in disassembler [AJR]

-ibm5150.xml: New working software list additions (#8187) [ArcadeShadow]

New working software list additions
-----------------------------------
Advanced Dungeons & Dragons - Death Knights of Krynn (3.5", v1.00) [The Good Old Days]
Advanced Dungeons & Dragons - Death Knights of Krynn (3.5", v1.10) [The Good Old Days]
Advanced Dungeons & Dragons - Death Knights of Krynn (5.25", v1.00) [The Good Old Days]
Advanced Dungeons & Dragons - War of the Lance [The Good Old Days]
DeathTrack [Old-Games]
Starflight 2: Trade Routes of the Cloud Nebula (3.5", alt) [The Good Old Days]

-Redumped: Starflight [The Good Old Days]

-ibm5170.xml: 6 new dumps (#8188) [ArcadeShadow]

New working software list additions
-----------------------------------
Midwinter II - Flames of Freedom (USA) [The Good Old Days]
SimCity 2000 (Ver 1.00) [The Good Old Days]
SimCity 2000 (Germany, Ver 1.00) [The Good Old Days]
SimCity 2000 (Spain, Ver 1.00) [archive.org]
The Secret of Monkey Island (Germany) [The Good Old Days]
The Secret of Monkey Island (Spain) [archive.org]

-ibm5150, ibm5170, ibm5170_cdrom: add various FreeDOS versions (#8165) [Davide Cavalca]

New working software list additions
-----------------------------------
ibm5150: FreeDOS 1.3 Release Candidate 4 (Floppy-Only Edition,  3.5" 720k) [Davide Cavalca]
ibm5170: FreeDOS 1.0 (bootdisk), FreeDOS 1.2 (bootdisk), FreeDOS 1.3 Release Candidate 1 (bootdisk), FreeDOS 1.3 Release Candidate 2
  (bootdisk), FreeDOS 1.3 Release Candidate 3 (bootdisk), FreeDOS 1.3 Release Candidate 3 (Floppy-Only Edition), FreeDOS 1.3 Release
  Candidate 4 (bootdisk), FreeDOS 1.3 Release Candidate 4 (Floppy-Only Edition,  5.25" 1.2mb), FreeDOS 1.3 Release Candidate 4
  (Floppy-Only Edition,  3.5" 1.44m) [Davide Cavalca]
ibm5170_cdrom: FreeDOS 1.0, FreeDOS 1.0 (updated), FreeDOS 1.1, FreeDOS 1.2, FreeDOS 1.3 Release Candidate 1, FreeDOS 1.3 Release
  Candidate 2, FreeDOS 1.3 Release Candidate 3, FreeDOS 1.3 Release Candidate 4 [Davide Cavalca]

-machine/latch8.cpp: Clean up a little. [Vas Crabb]
 * Making the bit read functions honour the XOR mask is easy in theory, but dkong.cpp is doing scary things with the XOR mask and
    bit read handlers on one of its latches, so it could end up breaking something.  Honouring the read callbacks would add two
    tests to each of the bit read functions, which could hurt performance.  The whole design of this device seems somewhat
    incoherent.

-lk3000: invert rom addressing [hap]

-tools/imgtool: Removed legacy object pool usage. (#8215) [Aaron Giles]

-util: Retire legacy object pool, removing vestigial references. [Vas Crabb]
 * Thanks to AJR, Ivan Vangelista and Aaron Giles for helping make this possible.
 * Also fixed debug build of imgtool.

-frontend: On input mapping menus, use UI left/right to switch between setting and appending to an input sequence. [Vas Crabb]

-fix Solar Assault title screen [Ville Linde]

-neogeo: set initial state of audionmi AND gate [hap]

New machines marked as NOT_WORKING
----------------------------------
VS Mahjong Triangle [system11]

-nwk-tr: make LAN board act like other machines are disconnected [Ville Linde]

-rename chds to be more consistent and allow clean merging of parent/clone "freedos10/freedos10a". [Scott Stone]

-Revert "neogeo: set initial state of audionmi AND gate" [hap]
 * This reverts commit 974d269980185bfa3bb6a242a86feac0e4b75a99.

-vsmjtria.cpp: Get comms minimally working - managed to deal and start playing a VS game. [Vas Crabb]

-New NOT_WORKING clones (#8174) [ClawGrip]

New NOT_WORKING clones
----------------------
Mini Money (set 2, v1.5?) [Juan Romero, ClawGrip]
Mini Money (set 3, v1.4?) [Juan Romero, ClawGrip]

-Add 'minimonya' and 'minimonyb' [ClawGrip]

-k001604: simplify memory layout [Ville Linde]

-vis: make memcard writing work [cracyc]

-a800_flop.xml: more floppy soft additions (#8130) [0kmg]

New working software list additions
-----------------------------------
L.A. SWAT + Panther [A8SP]
Turbican [A8SP]
Zybex (Ned) [A8SP]

New not working software list additions
---------------------------------------
T-34: The Battle [A8SP]
Yoomp! [Yoomp Team]

-Co-authored-by: 0kmg <0kmg@users.noreply.github.com> [0kmg]

-New NOT_WORKING software list addition (#8132) [ClawGrip]

New NOT_WORKING software list addition
--------------------------------------
pce_tourvision.xml:   Titan [Arcade Planet]

-Rename "TourVision" to "TourVisión" As "TourVisión" is used on the carts, cab and printed ads. [ClawGrip]

-tourvis.cpp: Move "Tourvision" to "TourVisión" [ClawGrip]

-nes.xml: add a dozen more protos (#8176) [0kmg]
 * nes.xml: add a dozen more protos

New working software list additions
-----------------------------------
Sample Cassete Cadillac (Jpn) [Skrybe]
F-1 Race (Jpn, prototype) [Skrybe]
Meikyuu Kumikyoku - Milon no Daibouken (Jpn, prototype) [Skrybe]
Double Dragon III - The Rosetta Stone (USA, prototype) [Hidden Palace]
Robin Hood - Prince of Thieves (USA, 19910516 prototype) [Hidden Palace]
Dino Hockey (USA, 19901218 prototype) [Frank Cifaldi]
Garfield - A Week of Garfield (Jpn, prototype v0.9) [togemet2]
Getsufuu Maden (Jpn, sample) [Ballz, Kevtris]
Magical Doropie (Jpn, prototype) [SegaSamiCD, VGHF]
Millipede (Jpn, prototype) [Dutchman2000, bunnyboy]
The Tale - Elrond no Eiyuu (Jpn, prototype) [TC, anonymous]
U-four-ia - The Saga (USA, prototype) [armadylo]

-fix mirroring/graphics I broke earlier [0kmg]

-fix mirroring I also broke [0kmg]
 * Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-snes.xml: add 11 prototypes (#8183) [0kmg]
 * initial pass of 9 documented protos
 * add Atmosfear and Earthbound protos
 * fix copy/paste error
 * fix another copy/paste error
   - Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-add mapper 29 and preliminary mapper 30 support (#8225) [0kmg]

New working software list additions
-----------------------------------
2A03Puritans [rainwarrior]
E.T. [KHAN]
Glider [anonymous]

-mapper 29: support should be complete but there are few if any other homebrew roms to test against [0kmg]

-mapper 30: only supports the most basic board that doesn't use flashable memory - tested on a dozen or so roms, all working [0kmg]

-add a game each for mappers 29 (Glider), 30 (E.T.), and 31 (2A03Puritans) so there is something in the software lists to actually
 test against. Glider is discontinued by manufacture, the other two are freely available from their authors. [0kmg]

-various naming clean ups, like BTL- prefixes for things that are not bootlegs [0kmg]

-ibm5170_hdd: new software list additions (#8185) [Davide Cavalca]

New working software list additions:
------------------------------------
FreeDOS 1.0 [Davide Cavalca]
FreeDOS 1.3 Release Candidate 4 [Davide Cavalca]
MS-DOS (Version 3.31) [Davide Cavalca]
MS-DOS (Version 6.20) [Davide Cavalca]
IBM DOS (Version 5.00) [Davide Cavalca]
IBM DOS (Version 5.02) [Davide Cavalca]
IBM DOS (Version 6.1) [Davide Cavalca]
Microsoft Windows/386 Version 2.1 [Davide Cavalca]
Microsoft Windows/386 Version 2.11 [Davide Cavalca]
Windows Version 3.11 [Davide Cavalca]
Windows for Workgroups Version 3.1 [Davide Cavalca]
Windows for Workgroups Version 3.11 [Davide Cavalca]
Windows NT 3.1 Workstation (3.10.511.1) [Davide Cavalca]
Windows NT 3.51 Workstation (3.51.1057.1) [Davide Cavalca]
Windows 95 [Davide Cavalca]

-New working clone (#8159) [ClawGrip]

New working clone
-----------------
Karate Champ (Tecfri bootleg) [jordigahan]

-Add 'kchamptec' [ClawGrip]

-Properly capitalise the comments [ClawGrip]

-fmtowns_flop_*.xml: 3 new dumps, usage notes, retests (#8219) [r09]
 * Demoted shogisei to not working, as I haven't found any way to make it work
 * Added usage and compatibility notes to most floppy software
 * Removed reira from fmtowns_flop_misc.xml, since it has been redumped from the original disks (the previous images were built from
    loose files)
 * Added some missing release years

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
Gear-Video [cyo.the.vile]
Logo Writer 2 [cyo.the.vile]
Reira [wiggy2k]

Software list items promoted to working (fmtowns_flop_orig.xml)
---------------------------------------------------------------
Asuka 120% Burning Fest. [crazyc]

Software list items promoted to working (fmtowns_flop_cracked.xml)
------------------------------------------------------------------
Asuka 120% Burning Fest. (cracked) [crazyc]

Software list items promoted to working (fmtowns_flop_misc.xml)
---------------------------------------------------------------
Abunai Tengu Densetsu [crazyc]
D.P.S - Dream Program System [crazyc]
Rance - Hikari o Motomete [crazyc]
Rance 2 - Hangyaku no Shoujotachi [crazyc]

-fmtowns_cd.xml: 12 new dumps, 9 replacements, 4 missing floppies added (#8179) [r09]
 * fmtowns_cd.xml: 12 new dumps, 9 replacements, 4 missing floppies added
   - Added the missing floppy disks to pharmony and wyattd [tenyuhuang]
   - Added the missing floppy disk to landlore [cyo.the.vile]
   - Added the missing floppy disk to genchohi [Neo Kobe Collection]
   - Normalized the titles of the New Horizon discs
   - Moved gnutowns to the applications section, since it is a collection of GNU tools and not an OS
   - Demoted asu120ex to not working (this doesn't seem to be a regression, it was just marked incorrectly)
   - Promoted beast, beast2 and gunship from partial to fully working after the latest fixes to 15-bit sprite drawing [crazyc]

New working software list additions
-----------------------------------
Ehon Writer V1.1 L10 (FMB-3011) [redump.org]
CD Learning System II - New Horizon English Course 2 [redump.org]
FM Towns FlexData Collection Vol. 1 - E to Oto no 365-nichi [redump.org]
PersoCom de Tanoshimu - Yama to Chizu Vol. 1 [redump.org]
Shijou Saikyou no Video Bible - The Greatest Video Bible in the World [redump.org]
Shiki o Irodoru - Nihon no Shouka - Aki [redump.org]
Shiki o Irodoru - Nihon no Shouka - Fuyu [redump.org]
Shiki o Irodoru - Nihon no Shouka - Haru [redump.org]
Shiki o Irodoru - Nihon no Shouka - Natsu [redump.org]
Tamashii no Mon - Dante "Shinkyoku" yori [redump.org, Coolmod]
TenderLight V1.1 L10 [redump.org]
TownsPAINT V1.1 L22 [redump.org]
Welcome to FM Towns (1994-12-19) [redump.org]

Replaced software list items
----------------------------
Aoki Ookami to Shiroki Mejika - Genchou Hishi [redump.org]
Cal Gaiden - Tiny Steps Behind the Cal [redump.org]
Free Will - Knight of Argent [redump.org]
GNU for Towns Release 2 [redump.org]
Kikai Jikake no Marian [redump.org]
Lands of Lore - The Throne of Chaos [redump.org]
Planet's Edge [redump.org]
Taikenban CD [redump.org]
Welcome to FM Towns (1994-09-29) [redump.org]
Yamane no Sumu Mori [redump.org]

Software list items promoted to working
---------------------------------------
Planet Harmony [tenyuhuang]
The 4th Unit 7 - Wyatt (demo) [tenyuhuang]

-fmtowns_cd.xml: beast2 isn't playing music, demote it back to partial [r09]

-fmtowns_cd.xml: asu120ex is back to partial after real hardware tests [r09]

-fmtowns_cd.xml: promoted asu120ex to working, updated beast2 notes [r09]

Software list items promoted to working
---------------------------------------
After Burner (v1.02) [crazyc]
After Burner (v1.02, alt) [crazyc]
After Burner (v1.01) [crazyc]
Excellent 10 [crazyc]
Frog Feast Demo [crazyc]
Last Survivor [crazyc]
Mad Stalker - FullMetalForce [crazyc]
Megaspectre [crazyc]
Shadow of the Beast II - Juushin no Jubaku [crazyc]
The Queen of Duellist (HME-166) [crazyc]

-pce.xml: minor updates + remove a hack (#8169) [0kmg]
 * pce.xml: minor updates + remove a hack
 * make newer revision of R-Type part 2 the parent
 * remove motorod2a which appears to be a 1-byte hack: it changes the 5-player input loop counter to not read input from players 3
    to 5
 * ok really sync + fix publisher Masaya spelling
   - Co-authored-by: 0kmg <0kmg@users.noreply.github.com>

-apple2gs: fix some 3200 viewers that check the mouse button at $C024. [R. Belmont]

-hd63450: unhalt cpu if a dma bus error occurs [cracyc]

-coco3: improve timer calculation (#8223) [tim lindner]

-qx10: Add centronics printer port (#8034) [Brian Johnson]

-dietgo.cpp, tattack.cpp, vsmjtria.cpp: very minor comment updates [Ivan Vangelista]

-atarig1.cpp, atarig42.cpp, blstroid.cpp, blueprnt.cpp, eolith.cpp, galspnbl.cpp, igs_fear.cpp, megaplay.cpp, vegaeo.cpp: removed
 some unneeded VIDEO_START_OVERRIDEs [Ivan Vangelista]

-galaga.cpp and related: removed a few VIDEO_START_OVERRIDEs [Ivan Vangelista]

-channelf: Correct screen resolution, fixes MT#08012 [Nigel Barnes]
 * Pixels are double width, and repeat scanlines 4 times for NTSC, 5 times for PAL.

-New NOT_WORKING clone (#8227) [ClawGrip]

New NOT_WORKING clone
---------------------
Scorpion (Mar 24, 1992) [jordigahan]

-softlist_dev: fixed typo [Robbbert]

-spectrum_cass: 27 new dumps, 10 replacements (#8205) [ArcadeShadow]

New working software list additions (spectrum_cass.xml)
-------------------------------------------------------
Abu Simbel Profanation (small case, alt) [worldofspectrum.org]
Abu Simbel Profanation (small case) [worldofspectrum.org]
Cárie [Planeta Sinclair]
Cybernoid II - The Revenge (IBSA) [spectrumcomputing.co.uk]
Dan Dare II - SU Edition [spectrumcomputing.co.uk]
Dan Dare III - The Escape (Dro Soft) [spectrumcomputing.co.uk]
Defender of the Crown [spectrumcomputing.co.uk]
Defender of the Crown (alternative) [spectrumcomputing.co.uk]
Eddie Edwards' Super Ski (Erbe) [spectrumcomputing.co.uk]
Eddie Edwards' Super Ski (Players Premier) [spectrumcomputing.co.uk]
Eddie Edwards' Super Ski (Players Premier, alt) [spectrumcomputing.co.uk]
Firelord (Erbe) [spectrumcomputing.co.uk]
Green Beret (Erbe, medium case) [spectrumcomputing.co.uk]
Guerrilla War: Hail the Heroes (Erbe) [spectrumcomputing.co.uk]
Miami Vice (IBSA) [spectrumcomputing.co.uk]
Molar Maul (Microbyte) [spectrumcomputing.co.uk]
Pac-Mania (MCM) [spectrumcomputing.co.uk]
Pink Panther (Dro Soft, double case) [worldofspectrum.org]
Pink Panther (Dro Soft, small case) [worldofspectrum.org]
Quazatron (Erbe) [spectrumcomputing.co.uk]
Quest for the Holy Something (alt 2) [spectrumcomputing.co.uk]
Scuba Dive (GTS) [spectrumcomputing.co.uk]
Super Trolley (Dro Soft) [spectrumcomputing.co.uk]
SWIV (Dro Soft) [spectrumcomputing.co.uk]
Terrormolinos! (Aackosoft) [Planeta Sinclair]
Uchi-Mata (IBSA/Erbe, serie leyenda) [spectrumcomputing.co.uk]
Wizball (IBSA) [spectrumcomputing.co.uk]

Replaced software list items
----------------------------
Abu Simbel Profanation - Medium Case - 1st release [worldofspectrum.org]
Abu Simbel Profanation (medium case) [worldofspectrum.org]
Choy-Lee-Fut Kung-Fu Warrior [worldofspectrum.org]
Dan Dare [spectrumcomputing.co.uk]
Dan Dare (Dro Soft) [spectrumcomputing.co.uk]
Soldier of Fortune (release 3) [spectrumcomputing.co.uk]
Stormlord II - Deliverance (Erbe) [spectrumcomputing.co.uk]
Super Trolley [spectrumcomputing.co.uk]
Uchi-Mata (Erbe) [spectrumcomputing.co.uk]
Wizball (Erbe Software) [spectrumcomputing.co.uk]

-Initialize m_config in all situations. [Aaron Giles]

-x68k_flop.xml: 2 new dumps from original disks [r09]
 * Also renamed the existing entries to reflect the fact that they are cracked versions.

New working software list additions
-----------------------------------
Detana!! TwinBee [r09]
Video Game Anthology vol. 11 - Pac-Land [cyo.the.vile]

-x68k: color 0 is only transparent if the crtc is not set for 16bit color mode [cracyc]

-ds6417: fix mask [cracyc]

-gamegear.xml: a pair of Ecco prototypes (#8226) [0kmg]

New working software list additions
-----------------------------------
Ecco the Dolphin (prototype, 19930614) [drx]
Ecco the Dolphin (EPROM 20 prototype) [drx]

-srcclean in preparation for release [Vas Crabb]

-vsmjtria.cpp: Game uses dual mono sound for the two player sides, put them on left/right speakers. [Vas Crabb]

-chanbara.cpp: swapped left and right joysticks (MT# 08015) (#8233) [Steven Coomber]

-Re-added unique input for bigtwinb and fixes MT#8016 [Scott Stone]

-emu/rendutil.cpp: Use setjmp/longjmp for libjpeg error unwinding. [Vas Crabb]
 * Apparently Linux AArch64 has issues with throwing exceptions across C function frames.

-Clean up some software list metadata [Vas Crabb]
